# swagger-client
Api Documentation

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0
- Package version: 1.1.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.Build() # Build | build
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # build
    api_response = api_instance.build_using_post(body, application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->build_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.PasswordChange() # PasswordChange | pwdChange
user_id = 'user_id_example' # str | userId

try:
    # changePassword
    api_response = api_instance.change_password_using_put(body, user_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->change_password_using_put: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = [swagger_client.ApplicationSecretRequest()] # list[ApplicationSecretRequest] | applicationSecretRequests
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # createAppSecretRequest
    api_response = api_instance.create_app_secret_request_using_post(body, application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->create_app_secret_request_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.Application() # Application | application
application_family = 'application_family_example' # str | applicationFamily

try:
    # createApplication
    api_response = api_instance.create_application_using_post(body, application_family)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->create_application_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.ECRRegistry() # ECRRegistry | ecrRegistry

try:
    # createECRRegistry
    api_response = api_instance.create_ecr_registry_using_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->create_ecr_registry_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.ApplicationAction() # ApplicationAction | applicationAction
build_type = 'build_type_example' # str | buildType

try:
    # createGenericAction
    api_response = api_instance.create_generic_action_using_post(body, build_type)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->create_generic_action_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.User() # User | user

try:
    # createUserCC
    api_response = api_instance.create_user_cc_using_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->create_user_cc_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.User() # User | user

try:
    # createUser
    api_response = api_instance.create_user_using_post(body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->create_user_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment
secret_name = 'secret_name_example' # str | secretName

try:
    # deleteApplicationSecret
    api_response = api_instance.delete_application_secret_using_delete(application_family, application_id, environment, secret_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->delete_application_secret_using_delete: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # deleteApplication
    api_response = api_instance.delete_application_using_delete(application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->delete_application_using_delete: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.Deployment() # Deployment | deployment
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # deploy
    api_response = api_instance.deploy_using_post(body, application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->deploy_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # disableAlerting
    api_response = api_instance.disable_alerting_using_delete(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->disable_alerting_using_delete: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # disableMonitoring
    api_response = api_instance.disable_monitoring_using_delete(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->disable_monitoring_using_delete: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment
path = 'path_example' # str | path

try:
    # downloadDumpFile
    api_response = api_instance.download_dump_file_using_get(application_family, application_id, environment, path)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->download_dump_file_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
build_id = 'build_id_example' # str | buildId

try:
    # downloadTestReport
    api_response = api_instance.download_test_report_using_get(application_family, application_id, build_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->download_test_report_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # enableAlerting
    api_response = api_instance.enable_alerting_using_post(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->enable_alerting_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # enableMonitoring
    api_response = api_instance.enable_monitoring_using_post(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->enable_monitoring_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.ApplicationAction() # ApplicationAction | applicationAction
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment
pod_name = 'pod_name_example' # str | podName

try:
    # executeActionOnPod
    api_response = api_instance.execute_action_on_pod_using_post(body, application_family, application_id, environment, pod_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->execute_action_on_pod_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment
pod_name = 'pod_name_example' # str | podName

try:
    # getActionsForPod
    api_response = api_instance.get_actions_for_pod_using_get(application_family, application_id, environment, pod_name)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_actions_for_pod_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # getAlertingDetails
    api_response = api_instance.get_alerting_details_using_get(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_alerting_details_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily

try:
    # getAllApplicationMetrics
    api_response = api_instance.get_all_application_metrics_using_get(application_family)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_all_application_metrics_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # getAllRegistries
    api_response = api_instance.get_all_registries_using_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_all_registries_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # getApplicationBranches
    api_response = api_instance.get_application_branches_using_get(application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_application_branches_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # getApplicationFamilies
    api_response = api_instance.get_application_families_using_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_application_families_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # getApplicationMetricSummary
    api_response = api_instance.get_application_metric_summary_using_get(application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_application_metric_summary_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # getApplicationPodDetails
    api_response = api_instance.get_application_pod_details_using_get(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_application_pod_details_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # getApplicationSecretRequests
    api_response = api_instance.get_application_secret_requests_using_get(application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_application_secret_requests_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # getApplicationSecrets
    api_response = api_instance.get_application_secrets_using_get(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_application_secrets_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # getApplicationTags
    api_response = api_instance.get_application_tags_using_get(application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_application_tags_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # getApplicationTypes
    api_response = api_instance.get_application_types_using_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_application_types_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # getApplication
    api_response = api_instance.get_application_using_get(application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_application_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily

try:
    # getApplications
    api_response = api_instance.get_applications_using_get(application_family)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_applications_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
build_id = 'build_id_example' # str | buildId
next_token = 'next_token_example' # str | nextToken (optional)

try:
    # getBuildLogs
    api_response = api_instance.get_build_logs_using_get(application_family, application_id, build_id, next_token=next_token)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_build_logs_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
build_id = 'build_id_example' # str | buildId

try:
    # getBuild
    api_response = api_instance.get_build_using_get(application_family, application_id, build_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_build_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # getBuilds
    api_response = api_instance.get_builds_using_get(application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_builds_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily

try:
    # getCCEnvironmentMetaData
    api_response = api_instance.get_cc_environment_meta_data_using_get(application_family)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_cc_environment_meta_data_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # getCurrentDeployment
    api_response = api_instance.get_current_deployment_using_get(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_current_deployment_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # getDeploymentStatus
    api_response = api_instance.get_deployment_status_using_get(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_deployment_status_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment
_date = '_date_example' # str | date (optional)

try:
    # getDumpFileList
    api_response = api_instance.get_dump_file_list_using_get(application_family, application_id, environment, _date=_date)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_dump_file_list_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
host = 'host_example' # str | Host

try:
    # getEcrToken
    api_response = api_instance.get_ecr_token_using_get(host)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_ecr_token_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily

try:
    # getEnvironmentMetaData
    api_response = api_instance.get_environment_meta_data_using_get(application_family)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_environment_meta_data_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
id = 'id_example' # str | id

try:
    # getEnvironment
    api_response = api_instance.get_environment_using_get(application_family, id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_environment_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily

try:
    # getEnvironments
    api_response = api_instance.get_environments_using_get(application_family)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_environments_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # getExecutedActionsForApplication
    api_response = api_instance.get_executed_actions_for_application_using_get(application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_executed_actions_for_application_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # getImages
    api_response = api_instance.get_images_using_get(application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_images_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # getMonitoringDetails
    api_response = api_instance.get_monitoring_details_using_get(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_monitoring_details_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
build_id = 'build_id_example' # str | buildId

try:
    # getTestBuildDetails
    api_response = api_instance.get_test_build_details_using_get(application_family, application_id, build_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_test_build_details_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # getUsers
    api_response = api_instance.get_users_using_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->get_users_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # globalStats
    api_response = api_instance.global_stats_using_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->global_stats_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # haltApplication
    api_response = api_instance.halt_application_using_post(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->halt_application_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # login
    api_response = api_instance.login_using_delete()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->login_using_delete: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # login
    api_response = api_instance.login_using_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->login_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # login
    api_response = api_instance.login_using_head()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->login_using_head: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # login
    api_response = api_instance.login_using_options()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->login_using_options: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # login
    api_response = api_instance.login_using_patch()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->login_using_patch: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # login
    api_response = api_instance.login_using_post()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->login_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # login
    api_response = api_instance.login_using_put()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->login_using_put: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))

try:
    # me
    api_response = api_instance.me_using_get()
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->me_using_get: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.BitbucketPREvent() # BitbucketPREvent | webhook
host = 'host_example' # str | Host
x_event_key = 'x_event_key_example' # str | X-Event-Key
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # processWebhookPRBitbucket
    api_response = api_instance.process_webhook_pr_bitbucket_using_post(body, host, x_event_key, application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->process_webhook_pr_bitbucket_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.GithubPREvent() # GithubPREvent | webhook
host = 'host_example' # str | Host
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId

try:
    # processWebhookPRGithub
    api_response = api_instance.process_webhook_pr_github_using_post(body, host, application_family, application_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->process_webhook_pr_github_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
environment = 'environment_example' # str | environment

try:
    # redeploy
    api_response = api_instance.redeploy_using_post(application_family, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->redeploy_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
code_build_id = 'code_build_id_example' # str | codeBuildId

try:
    # refreshBuildDetails
    api_response = api_instance.refresh_build_details_using_put(code_build_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->refresh_build_details_using_put: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # resumeApplication
    api_response = api_instance.resume_application_using_post(application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->resume_application_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = [swagger_client.ApplicationSecret()] # list[ApplicationSecret] | applicationSecrets
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
environment = 'environment_example' # str | environment

try:
    # updateApplicationSecrets
    api_response = api_instance.update_application_secrets_using_put(body, application_family, application_id, environment)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->update_application_secrets_using_put: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.Application() # Application | application
application_family = 'application_family_example' # str | applicationFamily

try:
    # updateApplication
    api_response = api_instance.update_application_using_put(body, application_family)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->update_application_using_put: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.Build() # Build | build
application_family = 'application_family_example' # str | applicationFamily
application_id = 'application_id_example' # str | applicationId
build_id = 'build_id_example' # str | buildId

try:
    # updateBuild
    api_response = api_instance.update_build_using_put(body, application_family, application_id, build_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->update_build_using_put: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.User() # User | user
user_id = 'user_id_example' # str | userId

try:
    # updateUser
    api_response = api_instance.update_user_using_put(body, user_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->update_user_using_put: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.ApplicationFamilyMetadata() # ApplicationFamilyMetadata | applicationFamilyMetadata
application_family = 'application_family_example' # str | applicationFamily

try:
    # upsertApplicationFamilyMetadata
    api_response = api_instance.upsert_application_family_metadata_using_post(body, application_family)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->upsert_application_family_metadata_using_post: %s\n" % e)
# Configure HTTP basic authorization: main
configuration = swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = swagger_client.ApplicationControllerApi(swagger_client.ApiClient(configuration))
body = swagger_client.Environment() # Environment | environment
application_family = 'application_family_example' # str | applicationFamily

try:
    # upsertEnvironment
    api_response = api_instance.upsert_environment_using_post(body, application_family)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ApplicationControllerApi->upsert_environment_using_post: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *//facetsdemo.console.facets.cloud/*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ApplicationControllerApi* | [**build_using_post**](docs/ApplicationControllerApi.md#build_using_post) | **POST** /api/{applicationFamily}/applications/{applicationId}/builds | build
*ApplicationControllerApi* | [**change_password_using_put**](docs/ApplicationControllerApi.md#change_password_using_put) | **PUT** /api/users/{userId}/changePassword | changePassword
*ApplicationControllerApi* | [**create_app_secret_request_using_post**](docs/ApplicationControllerApi.md#create_app_secret_request_using_post) | **POST** /api/{applicationFamily}/applications/{applicationId}/secretRequests | createAppSecretRequest
*ApplicationControllerApi* | [**create_application_using_post**](docs/ApplicationControllerApi.md#create_application_using_post) | **POST** /api/{applicationFamily}/applications | createApplication
*ApplicationControllerApi* | [**create_ecr_registry_using_post**](docs/ApplicationControllerApi.md#create_ecr_registry_using_post) | **POST** /api/ecrRegistry | createECRRegistry
*ApplicationControllerApi* | [**create_generic_action_using_post**](docs/ApplicationControllerApi.md#create_generic_action_using_post) | **POST** /api/buildType/{buildType}/actions | createGenericAction
*ApplicationControllerApi* | [**create_user_cc_using_post**](docs/ApplicationControllerApi.md#create_user_cc_using_post) | **POST** /api/cc-users | createUserCC
*ApplicationControllerApi* | [**create_user_using_post**](docs/ApplicationControllerApi.md#create_user_using_post) | **POST** /api/users | createUser
*ApplicationControllerApi* | [**delete_application_secret_using_delete**](docs/ApplicationControllerApi.md#delete_application_secret_using_delete) | **DELETE** /api/{applicationFamily}/{environment}/applications/{applicationId}/secrets/{secretName} | deleteApplicationSecret
*ApplicationControllerApi* | [**delete_application_using_delete**](docs/ApplicationControllerApi.md#delete_application_using_delete) | **DELETE** /api/{applicationFamily}/applications/{applicationId} | deleteApplication
*ApplicationControllerApi* | [**deploy_using_post**](docs/ApplicationControllerApi.md#deploy_using_post) | **POST** /api/{applicationFamily}/{environment}/applications/{applicationId}/deployments | deploy
*ApplicationControllerApi* | [**disable_alerting_using_delete**](docs/ApplicationControllerApi.md#disable_alerting_using_delete) | **DELETE** /api/{applicationFamily}/{environment}/applications/{applicationId}/alerting | disableAlerting
*ApplicationControllerApi* | [**disable_monitoring_using_delete**](docs/ApplicationControllerApi.md#disable_monitoring_using_delete) | **DELETE** /api/{applicationFamily}/{environment}/applications/{applicationId}/monitoring | disableMonitoring
*ApplicationControllerApi* | [**download_dump_file_using_get**](docs/ApplicationControllerApi.md#download_dump_file_using_get) | **GET** /api/{applicationFamily}/{environment}/applications/{applicationId}/dumps/download | downloadDumpFile
*ApplicationControllerApi* | [**download_test_report_using_get**](docs/ApplicationControllerApi.md#download_test_report_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId}/builds/{buildId}/downloadArtifacts | downloadTestReport
*ApplicationControllerApi* | [**enable_alerting_using_post**](docs/ApplicationControllerApi.md#enable_alerting_using_post) | **POST** /api/{applicationFamily}/{environment}/applications/{applicationId}/alerting | enableAlerting
*ApplicationControllerApi* | [**enable_monitoring_using_post**](docs/ApplicationControllerApi.md#enable_monitoring_using_post) | **POST** /api/{applicationFamily}/{environment}/applications/{applicationId}/monitoring | enableMonitoring
*ApplicationControllerApi* | [**execute_action_on_pod_using_post**](docs/ApplicationControllerApi.md#execute_action_on_pod_using_post) | **POST** /api/{applicationFamily}/{environment}/applications/{applicationId}/pods/{podName}/actions/executeAction | executeActionOnPod
*ApplicationControllerApi* | [**get_actions_for_pod_using_get**](docs/ApplicationControllerApi.md#get_actions_for_pod_using_get) | **GET** /api/{applicationFamily}/{environment}/applications/{applicationId}/pods/{podName}/actions | getActionsForPod
*ApplicationControllerApi* | [**get_alerting_details_using_get**](docs/ApplicationControllerApi.md#get_alerting_details_using_get) | **GET** /api/{applicationFamily}/{environment}/applications/{applicationId}/alerting | getAlertingDetails
*ApplicationControllerApi* | [**get_all_application_metrics_using_get**](docs/ApplicationControllerApi.md#get_all_application_metrics_using_get) | **GET** /api/{applicationFamily}/appmetrics | getAllApplicationMetrics
*ApplicationControllerApi* | [**get_all_registries_using_get**](docs/ApplicationControllerApi.md#get_all_registries_using_get) | **GET** /api/getRegistries | getAllRegistries
*ApplicationControllerApi* | [**get_application_branches_using_get**](docs/ApplicationControllerApi.md#get_application_branches_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId}/branches | getApplicationBranches
*ApplicationControllerApi* | [**get_application_families_using_get**](docs/ApplicationControllerApi.md#get_application_families_using_get) | **GET** /api/applicationFamilies | getApplicationFamilies
*ApplicationControllerApi* | [**get_application_metric_summary_using_get**](docs/ApplicationControllerApi.md#get_application_metric_summary_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId}/metrics | getApplicationMetricSummary
*ApplicationControllerApi* | [**get_application_pod_details_using_get**](docs/ApplicationControllerApi.md#get_application_pod_details_using_get) | **GET** /api/{applicationFamily}/{environment}/applications/{applicationId}/podDetails | getApplicationPodDetails
*ApplicationControllerApi* | [**get_application_secret_requests_using_get**](docs/ApplicationControllerApi.md#get_application_secret_requests_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId}/secretRequests | getApplicationSecretRequests
*ApplicationControllerApi* | [**get_application_secrets_using_get**](docs/ApplicationControllerApi.md#get_application_secrets_using_get) | **GET** /api/{applicationFamily}/{environment}/applications/{applicationId}/secretRequests | getApplicationSecrets
*ApplicationControllerApi* | [**get_application_tags_using_get**](docs/ApplicationControllerApi.md#get_application_tags_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId}/tags | getApplicationTags
*ApplicationControllerApi* | [**get_application_types_using_get**](docs/ApplicationControllerApi.md#get_application_types_using_get) | **GET** /api/applicationTypes | getApplicationTypes
*ApplicationControllerApi* | [**get_application_using_get**](docs/ApplicationControllerApi.md#get_application_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId} | getApplication
*ApplicationControllerApi* | [**get_applications_using_get**](docs/ApplicationControllerApi.md#get_applications_using_get) | **GET** /api/{applicationFamily}/applications | getApplications
*ApplicationControllerApi* | [**get_build_logs_using_get**](docs/ApplicationControllerApi.md#get_build_logs_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId}/builds/{buildId}/logs | getBuildLogs
*ApplicationControllerApi* | [**get_build_using_get**](docs/ApplicationControllerApi.md#get_build_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId}/builds/{buildId} | getBuild
*ApplicationControllerApi* | [**get_builds_using_get**](docs/ApplicationControllerApi.md#get_builds_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId}/builds | getBuilds
*ApplicationControllerApi* | [**get_cc_environment_meta_data_using_get**](docs/ApplicationControllerApi.md#get_cc_environment_meta_data_using_get) | **GET** /api/cc/{applicationFamily}/environmentMetaData | getCCEnvironmentMetaData
*ApplicationControllerApi* | [**get_current_deployment_using_get**](docs/ApplicationControllerApi.md#get_current_deployment_using_get) | **GET** /api/{applicationFamily}/{environment}/applications/{applicationId}/deployment/current | getCurrentDeployment
*ApplicationControllerApi* | [**get_deployment_status_using_get**](docs/ApplicationControllerApi.md#get_deployment_status_using_get) | **GET** /api/{applicationFamily}/{environment}/applications/{applicationId}/deploymentStatus | getDeploymentStatus
*ApplicationControllerApi* | [**get_dump_file_list_using_get**](docs/ApplicationControllerApi.md#get_dump_file_list_using_get) | **GET** /api/{applicationFamily}/{environment}/applications/{applicationId}/dumps | getDumpFileList
*ApplicationControllerApi* | [**get_ecr_token_using_get**](docs/ApplicationControllerApi.md#get_ecr_token_using_get) | **GET** /api/getEcrLoginToken | getEcrToken
*ApplicationControllerApi* | [**get_environment_meta_data_using_get**](docs/ApplicationControllerApi.md#get_environment_meta_data_using_get) | **GET** /api/{applicationFamily}/environmentMetaData | getEnvironmentMetaData
*ApplicationControllerApi* | [**get_environment_using_get**](docs/ApplicationControllerApi.md#get_environment_using_get) | **GET** /api/{applicationFamily}/environments/{id} | getEnvironment
*ApplicationControllerApi* | [**get_environments_using_get**](docs/ApplicationControllerApi.md#get_environments_using_get) | **GET** /api/{applicationFamily}/environments | getEnvironments
*ApplicationControllerApi* | [**get_executed_actions_for_application_using_get**](docs/ApplicationControllerApi.md#get_executed_actions_for_application_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId}/executedActions | getExecutedActionsForApplication
*ApplicationControllerApi* | [**get_images_using_get**](docs/ApplicationControllerApi.md#get_images_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId}/images | getImages
*ApplicationControllerApi* | [**get_monitoring_details_using_get**](docs/ApplicationControllerApi.md#get_monitoring_details_using_get) | **GET** /api/{applicationFamily}/{environment}/applications/{applicationId}/monitoring | getMonitoringDetails
*ApplicationControllerApi* | [**get_test_build_details_using_get**](docs/ApplicationControllerApi.md#get_test_build_details_using_get) | **GET** /api/{applicationFamily}/applications/{applicationId}/builds/{buildId}/testDetails | getTestBuildDetails
*ApplicationControllerApi* | [**get_users_using_get**](docs/ApplicationControllerApi.md#get_users_using_get) | **GET** /api/users | getUsers
*ApplicationControllerApi* | [**global_stats_using_get**](docs/ApplicationControllerApi.md#global_stats_using_get) | **GET** /api/stats | globalStats
*ApplicationControllerApi* | [**halt_application_using_post**](docs/ApplicationControllerApi.md#halt_application_using_post) | **POST** /api/{applicationFamily}/{environment}/applications/{applicationId}/halt | haltApplication
*ApplicationControllerApi* | [**login_using_delete**](docs/ApplicationControllerApi.md#login_using_delete) | **DELETE** /api/login | login
*ApplicationControllerApi* | [**login_using_get**](docs/ApplicationControllerApi.md#login_using_get) | **GET** /api/login | login
*ApplicationControllerApi* | [**login_using_head**](docs/ApplicationControllerApi.md#login_using_head) | **HEAD** /api/login | login
*ApplicationControllerApi* | [**login_using_options**](docs/ApplicationControllerApi.md#login_using_options) | **OPTIONS** /api/login | login
*ApplicationControllerApi* | [**login_using_patch**](docs/ApplicationControllerApi.md#login_using_patch) | **PATCH** /api/login | login
*ApplicationControllerApi* | [**login_using_post**](docs/ApplicationControllerApi.md#login_using_post) | **POST** /api/login | login
*ApplicationControllerApi* | [**login_using_put**](docs/ApplicationControllerApi.md#login_using_put) | **PUT** /api/login | login
*ApplicationControllerApi* | [**me_using_get**](docs/ApplicationControllerApi.md#me_using_get) | **GET** /api/me | me
*ApplicationControllerApi* | [**process_webhook_pr_bitbucket_using_post**](docs/ApplicationControllerApi.md#process_webhook_pr_bitbucket_using_post) | **POST** /api/{applicationFamily}/applications/{applicationId}/webhooks/pr/bitbucket | processWebhookPRBitbucket
*ApplicationControllerApi* | [**process_webhook_pr_github_using_post**](docs/ApplicationControllerApi.md#process_webhook_pr_github_using_post) | **POST** /api/{applicationFamily}/applications/{applicationId}/webhooks/pr/github | processWebhookPRGithub
*ApplicationControllerApi* | [**redeploy_using_post**](docs/ApplicationControllerApi.md#redeploy_using_post) | **POST** /api/{applicationFamily}/{environment}/redeployment | redeploy
*ApplicationControllerApi* | [**refresh_build_details_using_put**](docs/ApplicationControllerApi.md#refresh_build_details_using_put) | **PUT** /api/codebuild/builds/{codeBuildId}/refresh | refreshBuildDetails
*ApplicationControllerApi* | [**resume_application_using_post**](docs/ApplicationControllerApi.md#resume_application_using_post) | **POST** /api/{applicationFamily}/{environment}/applications/{applicationId}/resume | resumeApplication
*ApplicationControllerApi* | [**update_application_secrets_using_put**](docs/ApplicationControllerApi.md#update_application_secrets_using_put) | **PUT** /api/{applicationFamily}/{environment}/applications/{applicationId}/secrets | updateApplicationSecrets
*ApplicationControllerApi* | [**update_application_using_put**](docs/ApplicationControllerApi.md#update_application_using_put) | **PUT** /api/{applicationFamily}/applications | updateApplication
*ApplicationControllerApi* | [**update_build_using_put**](docs/ApplicationControllerApi.md#update_build_using_put) | **PUT** /api/{applicationFamily}/applications/{applicationId}/builds/{buildId} | updateBuild
*ApplicationControllerApi* | [**update_user_using_put**](docs/ApplicationControllerApi.md#update_user_using_put) | **PUT** /api/users/{userId} | updateUser
*ApplicationControllerApi* | [**upsert_application_family_metadata_using_post**](docs/ApplicationControllerApi.md#upsert_application_family_metadata_using_post) | **POST** /api/applicationFamilies/{applicationFamily}/metadata | upsertApplicationFamilyMetadata
*ApplicationControllerApi* | [**upsert_environment_using_post**](docs/ApplicationControllerApi.md#upsert_environment_using_post) | **POST** /api/{applicationFamily}/environments | upsertEnvironment
*ArtifactControllerApi* | [**register_artifact_using_post**](docs/ArtifactControllerApi.md#register_artifact_using_post) | **POST** /cc/v1/artifacts/register | registerArtifact
*ArtifactoryControllerApi* | [**create_ecr_artifactory_using_post**](docs/ArtifactoryControllerApi.md#create_ecr_artifactory_using_post) | **POST** /cc/v1/artifactories | createECRArtifactory
*ArtifactoryControllerApi* | [**get_all_artifactories_using_get**](docs/ArtifactoryControllerApi.md#get_all_artifactories_using_get) | **GET** /cc/v1/artifactories | getAllArtifactories
*ArtifactoryControllerApi* | [**update_ecr_artifactory_using_put**](docs/ArtifactoryControllerApi.md#update_ecr_artifactory_using_put) | **PUT** /cc/v1/artifactories/{artifactoryId} | updateECRArtifactory
*AwsClusterControllerApi* | [**create_cluster_using_post**](docs/AwsClusterControllerApi.md#create_cluster_using_post) | **POST** /cc/v1/aws/clusters | createCluster
*AwsClusterControllerApi* | [**get_cluster_using_get**](docs/AwsClusterControllerApi.md#get_cluster_using_get) | **GET** /cc/v1/aws/clusters/{clusterId} | getCluster
*AwsClusterControllerApi* | [**update_cluster_using_put**](docs/AwsClusterControllerApi.md#update_cluster_using_put) | **PUT** /cc/v1/aws/clusters/{clusterId} | updateCluster
*AzureClusterControllerApi* | [**create_cluster_using_post1**](docs/AzureClusterControllerApi.md#create_cluster_using_post1) | **POST** /cc/v1/azure/clusters | createCluster
*AzureClusterControllerApi* | [**get_cluster_using_get1**](docs/AzureClusterControllerApi.md#get_cluster_using_get1) | **GET** /cc/v1/azure/clusters/{clusterId} | getCluster
*AzureClusterControllerApi* | [**update_cluster_using_put1**](docs/AzureClusterControllerApi.md#update_cluster_using_put1) | **PUT** /cc/v1/azure/clusters/{clusterId} | updateCluster
*BuildControllerApi* | [**get_image_from_deployer_using_get**](docs/BuildControllerApi.md#get_image_from_deployer_using_get) | **GET** /cc/v1/build/deployer/{applicationId} | getImageFromDeployer
*CallbackControllerApi* | [**sonar_call_back_using_post**](docs/CallbackControllerApi.md#sonar_call_back_using_post) | **POST** /callback/sonar | sonarCallBack
*CapillaryCloudCallbackControllerApi* | [**code_build_callback_using_post**](docs/CapillaryCloudCallbackControllerApi.md#code_build_callback_using_post) | **POST** /cc/v1/callbacks/codebuild | codeBuildCallback
*CapillaryCloudCallbackControllerApi* | [**dr_result_callback_using_post**](docs/CapillaryCloudCallbackControllerApi.md#dr_result_callback_using_post) | **POST** /cc/v1/callbacks/{cluster}/dr/{moduleType}/{instanceName} | drResultCallback
*CommonClusterControllerApi* | [**add_cluster_k8s_credentials_using_post**](docs/CommonClusterControllerApi.md#add_cluster_k8s_credentials_using_post) | **POST** /cc/v1/clusters/{clusterId}/credentials | addClusterK8sCredentials
*CommonClusterControllerApi* | [**delete_cluster_using_delete**](docs/CommonClusterControllerApi.md#delete_cluster_using_delete) | **DELETE** /cc/v1/clusters/{clusterId} | deleteCluster
*CommonClusterControllerApi* | [**get_overrides_using_get**](docs/CommonClusterControllerApi.md#get_overrides_using_get) | **GET** /cc/v1/clusters/{clusterId}/overrides | getOverrides
*CommonClusterControllerApi* | [**get_pinned_snapshot_using_get**](docs/CommonClusterControllerApi.md#get_pinned_snapshot_using_get) | **GET** /cc/v1/clusters/{clusterId}/dr/{resourceType}/snapshots/{instanceName}/pinnedSnapshot | getPinnedSnapshot
*CommonClusterControllerApi* | [**list_snapshots_using_get**](docs/CommonClusterControllerApi.md#list_snapshots_using_get) | **GET** /cc/v1/clusters/{clusterId}/dr/{resourceType}/snapshots/{instanceName} | listSnapshots
*CommonClusterControllerApi* | [**notify_alerts_using_post**](docs/CommonClusterControllerApi.md#notify_alerts_using_post) | **POST** /cc/v1/clusters/{clusterId}/alerts | notifyAlerts
*CommonClusterControllerApi* | [**notify_application_deployment_complete_using_post**](docs/CommonClusterControllerApi.md#notify_application_deployment_complete_using_post) | **POST** /cc/v1/clusters/{clusterId}/app-name/{appName}/application-deployment-completed | notifyApplicationDeploymentComplete
*CommonClusterControllerApi* | [**notify_resource_deployment_complete_using_post**](docs/CommonClusterControllerApi.md#notify_resource_deployment_complete_using_post) | **POST** /cc/v1/clusters/{clusterId}/resource-type/{resourceType}/resource-name/{resourceName}/resource-deployment-completed | notifyResourceDeploymentComplete
*CommonClusterControllerApi* | [**override_sizing_using_post**](docs/CommonClusterControllerApi.md#override_sizing_using_post) | **POST** /cc/v1/clusters/{clusterId}/overrides | overrideSizing
*CommonClusterControllerApi* | [**pin_snapshot_using_post**](docs/CommonClusterControllerApi.md#pin_snapshot_using_post) | **POST** /cc/v1/clusters/{clusterId}/dr/{resourceType}/snapshots/{instanceName}/pinnedSnapshot | pinSnapshot
*CommonClusterControllerApi* | [**upsert_vars_using_post**](docs/CommonClusterControllerApi.md#upsert_vars_using_post) | **POST** /cc/v1/clusters/{clusterId}/vars/upsert | upsertVars
*DeploymentControllerApi* | [**abort_automation_suite_using_delete**](docs/DeploymentControllerApi.md#abort_automation_suite_using_delete) | **DELETE** /cc/v1/clusters/{clusterId}/deployments/qa/{executionId}/abortSuite | abortAutomationSuite
*DeploymentControllerApi* | [**get_automation_suite_status_using_get**](docs/DeploymentControllerApi.md#get_automation_suite_status_using_get) | **GET** /cc/v1/clusters/{clusterId}/deployments/qa/{executionId}/status | getAutomationSuiteStatus
*DeploymentControllerApi* | [**get_deployments_using_get**](docs/DeploymentControllerApi.md#get_deployments_using_get) | **GET** /cc/v1/clusters/{clusterId}/deployments | getDeployments
*DeploymentControllerApi* | [**get_logs_using_get**](docs/DeploymentControllerApi.md#get_logs_using_get) | **GET** /cc/v1/clusters/{clusterId}/deployments/{id} | getLogs
*DeploymentControllerApi* | [**trigger_automation_suite_using_post**](docs/DeploymentControllerApi.md#trigger_automation_suite_using_post) | **POST** /cc/v1/clusters/{clusterId}/deployments/qa/triggerSuite | triggerAutomationSuite
*DeploymentControllerApi* | [**validate_sanity_result_using_post**](docs/DeploymentControllerApi.md#validate_sanity_result_using_post) | **POST** /cc/v1/clusters/{clusterId}/deployments/qa/validateSanityResult | validateSanityResult
*GcpClusterControllerApi* | [**create_cluster_using_post2**](docs/GcpClusterControllerApi.md#create_cluster_using_post2) | **POST** /cc/v1/gcp/clusters | createCluster
*GcpClusterControllerApi* | [**get_cluster_using_get2**](docs/GcpClusterControllerApi.md#get_cluster_using_get2) | **GET** /cc/v1/gcp/clusters/{clusterId} | getCluster
*GcpClusterControllerApi* | [**update_cluster_using_put2**](docs/GcpClusterControllerApi.md#update_cluster_using_put2) | **PUT** /cc/v1/gcp/clusters/{clusterId} | updateCluster
*MetaControllerApi* | [**get_supported_component_version_using_get**](docs/MetaControllerApi.md#get_supported_component_version_using_get) | **GET** /cc/v1/meta/components/{componentType}/supportedVersion | getSupportedComponentVersion
*MetaControllerApi* | [**get_supported_component_versions_using_get**](docs/MetaControllerApi.md#get_supported_component_versions_using_get) | **GET** /cc/v1/meta/components/supportedVersion | getSupportedComponentVersions
*PublicApIsApi* | [**get_all_feature_properties_using_get**](docs/PublicApIsApi.md#get_all_feature_properties_using_get) | **GET** /public/v1/features | getAllFeatureProperties
*PublicApIsApi* | [**get_cp_cloud_using_get**](docs/PublicApIsApi.md#get_cp_cloud_using_get) | **GET** /public/v1/cp-cloud | getCPCloud
*PublicApIsApi* | [**get_feature_property_using_get**](docs/PublicApIsApi.md#get_feature_property_using_get) | **GET** /public/v1/features/{name} | getFeatureProperty
*PublicApIsApi* | [**get_login_options_using_get**](docs/PublicApIsApi.md#get_login_options_using_get) | **GET** /public/v1/loginOptions | getLoginOptions
*PublicApIsApi* | [**get_logo_using_get**](docs/PublicApIsApi.md#get_logo_using_get) | **GET** /public/v1/logo | getLogo
*PublicApIsApi* | [**health_check_using_get**](docs/PublicApIsApi.md#health_check_using_get) | **GET** /public/v1/health | healthCheck
*PublicApIsApi* | [**link_aws_account_using_post**](docs/PublicApIsApi.md#link_aws_account_using_post) | **POST** /public/v1/link-aws | linkAwsAccount
*PublicApIsApi* | [**link_azure_account_using_post**](docs/PublicApIsApi.md#link_azure_account_using_post) | **POST** /public/v1/link-azure | linkAzureAccount
*PublicApIsApi* | [**link_bitbucket_account_using_post**](docs/PublicApIsApi.md#link_bitbucket_account_using_post) | **POST** /public/v1/link-bitbucket | linkBitbucketAccount
*PublicApIsApi* | [**link_docker_registries_using_post**](docs/PublicApIsApi.md#link_docker_registries_using_post) | **POST** /public/v1/link-docker-registries | linkDockerRegistries
*PublicApIsApi* | [**link_ecr_using_post**](docs/PublicApIsApi.md#link_ecr_using_post) | **POST** /public/v1/link-ecr | linkECR
*PublicApIsApi* | [**link_gcp_account_using_post**](docs/PublicApIsApi.md#link_gcp_account_using_post) | **POST** /public/v1/link-gcp | linkGcpAccount
*PublicApIsApi* | [**link_github_account_using_post**](docs/PublicApIsApi.md#link_github_account_using_post) | **POST** /public/v1/link-github | linkGithubAccount
*PublicApIsApi* | [**link_gitlab_account_using_post**](docs/PublicApIsApi.md#link_gitlab_account_using_post) | **POST** /public/v1/link-gitlab | linkGitlabAccount
*PublicApIsApi* | [**link_k8s_account_using_post**](docs/PublicApIsApi.md#link_k8s_account_using_post) | **POST** /public/v1/link-kubernetes | linkK8sAccount
*PublicApIsApi* | [**process_github_installation_request_using_post**](docs/PublicApIsApi.md#process_github_installation_request_using_post) | **POST** /public/v1/github-installation-request | processGithubInstallationRequest
*PublicApIsApi* | [**retrieve_theme_file_using_get**](docs/PublicApIsApi.md#retrieve_theme_file_using_get) | **GET** /public/v1/themeFile | retrieveThemeFile
*StackControllerApi* | [**create_stack_using_post**](docs/StackControllerApi.md#create_stack_using_post) | **POST** /cc/v1/stacks/ | createStack
*StackControllerApi* | [**create_substack_using_post**](docs/StackControllerApi.md#create_substack_using_post) | **POST** /cc/v1/stacks/substack/{substackName} | createSubstack
*StackControllerApi* | [**get_clusters_using_get**](docs/StackControllerApi.md#get_clusters_using_get) | **GET** /cc/v1/stacks/{stackName}/clusters | getClusters
*StackControllerApi* | [**get_stacks_using_get**](docs/StackControllerApi.md#get_stacks_using_get) | **GET** /cc/v1/stacks/ | getStacks
*StackControllerApi* | [**reload_stack_using_get**](docs/StackControllerApi.md#reload_stack_using_get) | **GET** /cc/v1/stacks/{stackName}/reload | reloadStack
*StackControllerApi* | [**toggle_release_using_post**](docs/StackControllerApi.md#toggle_release_using_post) | **POST** /cc/v1/stacks/{stackName}/toggleRelease | toggleRelease
*StackControllerApi* | [**update_stack_using_put**](docs/StackControllerApi.md#update_stack_using_put) | **PUT** /cc/v1/stacks/{stackName} | updateStack
*UiAccountsControllerApi* | [**create_aws_account_using_post**](docs/UiAccountsControllerApi.md#create_aws_account_using_post) | **POST** /cc-ui/v1/accounts/aws/ | createAwsAccount
*UiAccountsControllerApi* | [**create_azure_account_using_post**](docs/UiAccountsControllerApi.md#create_azure_account_using_post) | **POST** /cc-ui/v1/accounts/azure/ | createAzureAccount
*UiAccountsControllerApi* | [**create_bit_bucket_account_using_post**](docs/UiAccountsControllerApi.md#create_bit_bucket_account_using_post) | **POST** /cc-ui/v1/accounts/bitbucket/ | createBitBucketAccount
*UiAccountsControllerApi* | [**create_coder_account_using_post**](docs/UiAccountsControllerApi.md#create_coder_account_using_post) | **POST** /cc-ui/v1/accounts/coder/ | createCoderAccount
*UiAccountsControllerApi* | [**create_gcp_account_using_post**](docs/UiAccountsControllerApi.md#create_gcp_account_using_post) | **POST** /cc-ui/v1/accounts/gcp/ | createGcpAccount
*UiAccountsControllerApi* | [**create_git_hub_account_using_post**](docs/UiAccountsControllerApi.md#create_git_hub_account_using_post) | **POST** /cc-ui/v1/accounts/github/ | createGitHubAccount
*UiAccountsControllerApi* | [**create_git_lab_account_using_post**](docs/UiAccountsControllerApi.md#create_git_lab_account_using_post) | **POST** /cc-ui/v1/accounts/gitlab/ | createGitLabAccount
*UiAccountsControllerApi* | [**create_kubernetes_account_using_post**](docs/UiAccountsControllerApi.md#create_kubernetes_account_using_post) | **POST** /cc-ui/v1/accounts/kubernetes/ | createKubernetesAccount
*UiAccountsControllerApi* | [**delete_account_using_delete**](docs/UiAccountsControllerApi.md#delete_account_using_delete) | **DELETE** /cc-ui/v1/accounts/{id} | deleteAccount
*UiAccountsControllerApi* | [**get_account_by_name_using_get**](docs/UiAccountsControllerApi.md#get_account_by_name_using_get) | **GET** /cc-ui/v1/accounts/name/{name} | getAccountByName
*UiAccountsControllerApi* | [**get_account_using_get**](docs/UiAccountsControllerApi.md#get_account_using_get) | **GET** /cc-ui/v1/accounts/{id} | getAccount
*UiAccountsControllerApi* | [**get_accounts_by_type_using_get**](docs/UiAccountsControllerApi.md#get_accounts_by_type_using_get) | **GET** /cc-ui/v1/accounts/type/{type} | getAccountsByType
*UiAccountsControllerApi* | [**get_all_accounts_using_get**](docs/UiAccountsControllerApi.md#get_all_accounts_using_get) | **GET** /cc-ui/v1/accounts/ | getAllAccounts
*UiAccountsControllerApi* | [**get_all_vcs_token_details_using_get**](docs/UiAccountsControllerApi.md#get_all_vcs_token_details_using_get) | **GET** /cc-ui/v1/accounts/token-details | getAllVCSTokenDetails
*UiAccountsControllerApi* | [**get_bitbucket_projects_for_workspace_using_get**](docs/UiAccountsControllerApi.md#get_bitbucket_projects_for_workspace_using_get) | **GET** /cc-ui/v1/accounts/{accountId}/workspaces/{workspace}/projects | getBitbucketProjectsForWorkspace
*UiAccountsControllerApi* | [**get_vcs_organisations_using_post**](docs/UiAccountsControllerApi.md#get_vcs_organisations_using_post) | **POST** /cc-ui/v1/accounts/get-organisations | getVCSOrganisations
*UiAccountsControllerApi* | [**get_vcs_organizations_by_account_id_using_get**](docs/UiAccountsControllerApi.md#get_vcs_organizations_by_account_id_using_get) | **GET** /cc-ui/v1/accounts/vcs-orgs/{accountId} | getVcsOrganizationsByAccountId
*UiAccountsControllerApi* | [**get_vcs_token_details_by_stack_name_using_get**](docs/UiAccountsControllerApi.md#get_vcs_token_details_by_stack_name_using_get) | **GET** /cc-ui/v1/accounts/stack/{stackName}/token-details | getVCSTokenDetailsByStackName
*UiAccountsControllerApi* | [**refresh_all_vcs_token_details_using_post**](docs/UiAccountsControllerApi.md#refresh_all_vcs_token_details_using_post) | **POST** /cc-ui/v1/accounts/token-details/refresh | refreshAllVCSTokenDetails
*UiAccountsControllerApi* | [**request_cloud_account_linking_using_post**](docs/UiAccountsControllerApi.md#request_cloud_account_linking_using_post) | **POST** /cc-ui/v1/accounts/link-cloud | requestCloudAccountLinking
*UiAccountsControllerApi* | [**request_vcs_linking_using_post**](docs/UiAccountsControllerApi.md#request_vcs_linking_using_post) | **POST** /cc-ui/v1/accounts/link-vcs | requestVCSLinking
*UiAccountsControllerApi* | [**update_aws_account_using_put**](docs/UiAccountsControllerApi.md#update_aws_account_using_put) | **PUT** /cc-ui/v1/accounts/aws/{id} | updateAwsAccount
*UiAccountsControllerApi* | [**update_azure_account_using_put**](docs/UiAccountsControllerApi.md#update_azure_account_using_put) | **PUT** /cc-ui/v1/accounts/azure/{id} | updateAzureAccount
*UiAccountsControllerApi* | [**update_bit_bucket_account_using_put**](docs/UiAccountsControllerApi.md#update_bit_bucket_account_using_put) | **PUT** /cc-ui/v1/accounts/bitbucket/{id} | updateBitBucketAccount
*UiAccountsControllerApi* | [**update_coder_account_using_put**](docs/UiAccountsControllerApi.md#update_coder_account_using_put) | **PUT** /cc-ui/v1/accounts/coder/{id} | updateCoderAccount
*UiAccountsControllerApi* | [**update_gcp_account_using_put**](docs/UiAccountsControllerApi.md#update_gcp_account_using_put) | **PUT** /cc-ui/v1/accounts/gcp/{id} | updateGcpAccount
*UiAccountsControllerApi* | [**update_git_hub_account_using_put**](docs/UiAccountsControllerApi.md#update_git_hub_account_using_put) | **PUT** /cc-ui/v1/accounts/github/{id} | updateGitHubAccount
*UiAccountsControllerApi* | [**update_git_lab_account_using_put**](docs/UiAccountsControllerApi.md#update_git_lab_account_using_put) | **PUT** /cc-ui/v1/accounts/gitlab/{id} | updateGitLabAccount
*UiAccountsControllerApi* | [**update_kubernetes_account_using_put**](docs/UiAccountsControllerApi.md#update_kubernetes_account_using_put) | **PUT** /cc-ui/v1/accounts/kubernetes/{id} | updateKubernetesAccount
*UiAccountsControllerApi* | [**update_vcs_account_using_patch**](docs/UiAccountsControllerApi.md#update_vcs_account_using_patch) | **PATCH** /cc-ui/v1/accounts/vcs/{id} | updateVCSAccount
*UiAccountsControllerApi* | [**validate_aws_account_using_post**](docs/UiAccountsControllerApi.md#validate_aws_account_using_post) | **POST** /cc-ui/v1/accounts/aws/validate | validateAwsAccount
*UiAccountsControllerApi* | [**validate_azure_account_using_post**](docs/UiAccountsControllerApi.md#validate_azure_account_using_post) | **POST** /cc-ui/v1/accounts/azure/validate | validateAzureAccount
*UiAccountsControllerApi* | [**validate_bitbucket_account_using_post**](docs/UiAccountsControllerApi.md#validate_bitbucket_account_using_post) | **POST** /cc-ui/v1/accounts/bitbucket/validate | validateBitbucketAccount
*UiAccountsControllerApi* | [**validate_gcp_account_using_post**](docs/UiAccountsControllerApi.md#validate_gcp_account_using_post) | **POST** /cc-ui/v1/accounts/gcp/validate | validateGcpAccount
*UiAccountsControllerApi* | [**validate_github_account_using_post**](docs/UiAccountsControllerApi.md#validate_github_account_using_post) | **POST** /cc-ui/v1/accounts/github/validate | validateGithubAccount
*UiAccountsControllerApi* | [**validate_gitlab_account_using_post**](docs/UiAccountsControllerApi.md#validate_gitlab_account_using_post) | **POST** /cc-ui/v1/accounts/gitlab/validate | validateGitlabAccount
*UiAccountsControllerApi* | [**validate_kubernetes_account_using_post**](docs/UiAccountsControllerApi.md#validate_kubernetes_account_using_post) | **POST** /cc-ui/v1/accounts/kubernetes/validate | validateKubernetesAccount
*UiAlertsControllerApi* | [**delete_all_using_delete**](docs/UiAlertsControllerApi.md#delete_all_using_delete) | **DELETE** /cc-ui/v1/alerts | deleteAll
*UiAlertsControllerApi* | [**get_alerts_count_using_get**](docs/UiAlertsControllerApi.md#get_alerts_count_using_get) | **GET** /cc-ui/v1/alerts/firing/count | getAlertsCount
*UiAlertsControllerApi* | [**get_alerts_overview_using_get**](docs/UiAlertsControllerApi.md#get_alerts_overview_using_get) | **GET** /cc-ui/v1/alerts/firing/overview | getAlertsOverview
*UiAlertsControllerApi* | [**get_cluster_alerts_using_get**](docs/UiAlertsControllerApi.md#get_cluster_alerts_using_get) | **GET** /cc-ui/v1/alerts/{clusterId}/all | getClusterAlerts
*UiAlertsControllerApi* | [**get_firing_alerts_using_get**](docs/UiAlertsControllerApi.md#get_firing_alerts_using_get) | **GET** /cc-ui/v1/alerts/firing | getFiringAlerts
*UiApplicationControllerApi* | [**abort_using_put**](docs/UiApplicationControllerApi.md#abort_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/abort | abort
*UiApplicationControllerApi* | [**cluster_sync_with_git_using_post**](docs/UiApplicationControllerApi.md#cluster_sync_with_git_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/sync-with-git | clusterSyncWithGit
*UiApplicationControllerApi* | [**get_application_overrides_using_get**](docs/UiApplicationControllerApi.md#get_application_overrides_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/{resourceType}/{appName}/overrides | getApplicationOverrides
*UiApplicationControllerApi* | [**get_argo_rollout_info_using_get**](docs/UiApplicationControllerApi.md#get_argo_rollout_info_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/argo-info | getArgoRolloutInfo
*UiApplicationControllerApi* | [**get_deployed_commit_id_for_resource_using_get**](docs/UiApplicationControllerApi.md#get_deployed_commit_id_for_resource_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/deployed-commit-id | getDeployedCommitIdForResource
*UiApplicationControllerApi* | [**get_events_using_get**](docs/UiApplicationControllerApi.md#get_events_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/pods/{podName}/events | getEvents
*UiApplicationControllerApi* | [**get_hpa_using_get**](docs/UiApplicationControllerApi.md#get_hpa_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceName/{applicationName}/hpa | getHPA
*UiApplicationControllerApi* | [**get_ingresses_using_get**](docs/UiApplicationControllerApi.md#get_ingresses_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceName/{applicationName}/ingresses | getIngresses
*UiApplicationControllerApi* | [**get_resource_by_name_using_get**](docs/UiApplicationControllerApi.md#get_resource_by_name_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/{resourceType}/{appName} | getResourceByName
*UiApplicationControllerApi* | [**get_resource_by_name_v2_using_get**](docs/UiApplicationControllerApi.md#get_resource_by_name_v2_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | getResourceByNameV2
*UiApplicationControllerApi* | [**get_resource_history_using_get**](docs/UiApplicationControllerApi.md#get_resource_history_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/resource-history | getResourceHistory
*UiApplicationControllerApi* | [**get_resource_out_properties_using_get**](docs/UiApplicationControllerApi.md#get_resource_out_properties_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/resource-out-properties | getResourceOutProperties
*UiApplicationControllerApi* | [**get_resource_override_object_using_get**](docs/UiApplicationControllerApi.md#get_resource_override_object_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/overrides | getResourceOverrideObject
*UiApplicationControllerApi* | [**get_validations_using_get**](docs/UiApplicationControllerApi.md#get_validations_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/validation-errors | getValidations
*UiApplicationControllerApi* | [**list_pods_using_get**](docs/UiApplicationControllerApi.md#list_pods_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceName/{applicationName}/pods | listPods
*UiApplicationControllerApi* | [**logs_using_get**](docs/UiApplicationControllerApi.md#logs_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/pods/{podName}/logs | logs
*UiApplicationControllerApi* | [**post_resource_override_object_using_post**](docs/UiApplicationControllerApi.md#post_resource_override_object_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/overrides | postResourceOverrideObject
*UiApplicationControllerApi* | [**promote_using_put**](docs/UiApplicationControllerApi.md#promote_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/promote | promote
*UiApplicationControllerApi* | [**rolling_restart_using_post**](docs/UiApplicationControllerApi.md#rolling_restart_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/restart/{applicationName} | rollingRestart
*UiApplicationControllerApi* | [**run_validation_using_post**](docs/UiApplicationControllerApi.md#run_validation_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/validate | runValidation
*UiArtifactCiControllerApi* | [**bulk_edit_workflow_using_post**](docs/UiArtifactCiControllerApi.md#bulk_edit_workflow_using_post) | **POST** /cc-ui/v1/artifacts-ci/bulk-edit-workflow | bulkEditWorkflow
*UiArtifactCiControllerApi* | [**create_artifact_ci_using_post**](docs/UiArtifactCiControllerApi.md#create_artifact_ci_using_post) | **POST** /cc-ui/v1/artifacts-ci | createArtifactCI
*UiArtifactCiControllerApi* | [**delete_artifact_ci_using_delete**](docs/UiArtifactCiControllerApi.md#delete_artifact_ci_using_delete) | **DELETE** /cc-ui/v1/artifacts-ci/{ciId} | deleteArtifactCI
*UiArtifactCiControllerApi* | [**get_all_artifacts_ci_using_get**](docs/UiArtifactCiControllerApi.md#get_all_artifacts_ci_using_get) | **GET** /cc-ui/v1/artifacts-ci | getAllArtifactsCI
*UiArtifactCiControllerApi* | [**get_artifact_ci_by_name_using_get**](docs/UiArtifactCiControllerApi.md#get_artifact_ci_by_name_using_get) | **GET** /cc-ui/v1/artifacts-ci/name/{ciName} | getArtifactCiByName
*UiArtifactCiControllerApi* | [**get_artifact_ci_using_get**](docs/UiArtifactCiControllerApi.md#get_artifact_ci_using_get) | **GET** /cc-ui/v1/artifacts-ci/{ciId} | getArtifactCI
*UiArtifactCiControllerApi* | [**get_artifact_cis_by_stack_using_get**](docs/UiArtifactCiControllerApi.md#get_artifact_cis_by_stack_using_get) | **GET** /cc-ui/v1/artifacts-ci/blueprint/{stackName} | getArtifactCisByStack
*UiArtifactCiControllerApi* | [**get_artifacts_for_ci_using_get**](docs/UiArtifactCiControllerApi.md#get_artifacts_for_ci_using_get) | **GET** /cc-ui/v1/artifacts-ci/{ciName}/artifacts | getArtifactsForCI
*UiArtifactCiControllerApi* | [**update_artifact_ci_using_put**](docs/UiArtifactCiControllerApi.md#update_artifact_ci_using_put) | **PUT** /cc-ui/v1/artifacts-ci/{ciId} | updateArtifactCI
*UiArtifactHubControllerApi* | [**get_helm_values_using_get**](docs/UiArtifactHubControllerApi.md#get_helm_values_using_get) | **GET** /cc-ui/v1/artifactHub/packages/{packageId}/values | getHelmValues
*UiArtifactHubControllerApi* | [**search_packages_using_get**](docs/UiArtifactHubControllerApi.md#search_packages_using_get) | **GET** /cc-ui/v1/artifactHub/search-packages | searchPackages
*UiArtifactRoutingRuleControllerApi* | [**add_artifact_routing_rule_using_post**](docs/UiArtifactRoutingRuleControllerApi.md#add_artifact_routing_rule_using_post) | **POST** /cc-ui/v1/artifact-routing-rule | addArtifactRoutingRule
*UiArtifactRoutingRuleControllerApi* | [**delete_artifact_routing_rule_using_delete**](docs/UiArtifactRoutingRuleControllerApi.md#delete_artifact_routing_rule_using_delete) | **DELETE** /cc-ui/v1/artifact-routing-rule/{ruleId} | deleteArtifactRoutingRule
*UiArtifactRoutingRuleControllerApi* | [**get_all_artifact_routing_rules_using_get**](docs/UiArtifactRoutingRuleControllerApi.md#get_all_artifact_routing_rules_using_get) | **GET** /cc-ui/v1/artifact-routing-rule | getAllArtifactRoutingRules
*UiArtifactRoutingRuleControllerApi* | [**get_all_operators_using_get**](docs/UiArtifactRoutingRuleControllerApi.md#get_all_operators_using_get) | **GET** /cc-ui/v1/artifact-routing-rule/operators | getAllOperators
*UiArtifactRoutingRuleControllerApi* | [**get_artifact_routing_rule_using_get**](docs/UiArtifactRoutingRuleControllerApi.md#get_artifact_routing_rule_using_get) | **GET** /cc-ui/v1/artifact-routing-rule/{ruleId} | getArtifactRoutingRule
*UiArtifactRoutingRuleControllerApi* | [**test_rule_for_branch_name_using_post**](docs/UiArtifactRoutingRuleControllerApi.md#test_rule_for_branch_name_using_post) | **POST** /cc-ui/v1/artifact-routing-rule/test | testRuleForBranchName
*UiArtifactRoutingRuleControllerApi* | [**update_artifact_routing_rule_using_put**](docs/UiArtifactRoutingRuleControllerApi.md#update_artifact_routing_rule_using_put) | **PUT** /cc-ui/v1/artifact-routing-rule | updateArtifactRoutingRule
*UiArtifactoryControllerApi* | [**associate_stacks_using_post**](docs/UiArtifactoryControllerApi.md#associate_stacks_using_post) | **POST** /cc-ui/v1/artifactories/{artifactoryId}/associate-projects | associateStacks
*UiArtifactoryControllerApi* | [**create_artifactory_mirror_using_post**](docs/UiArtifactoryControllerApi.md#create_artifactory_mirror_using_post) | **POST** /cc-ui/v1/artifactories/mirrors | createArtifactoryMirror
*UiArtifactoryControllerApi* | [**create_basic_docker_artifactory_using_post**](docs/UiArtifactoryControllerApi.md#create_basic_docker_artifactory_using_post) | **POST** /cc-ui/v1/artifactories/others | createBasicDockerArtifactory
*UiArtifactoryControllerApi* | [**create_ecr_artifactory_using_post1**](docs/UiArtifactoryControllerApi.md#create_ecr_artifactory_using_post1) | **POST** /cc-ui/v1/artifactories | createECRArtifactory
*UiArtifactoryControllerApi* | [**delete_artifactory_using_delete**](docs/UiArtifactoryControllerApi.md#delete_artifactory_using_delete) | **DELETE** /cc-ui/v1/artifactories/v2/{artifactoryId} | deleteArtifactory
*UiArtifactoryControllerApi* | [**delete_ecr_artifactory_using_delete**](docs/UiArtifactoryControllerApi.md#delete_ecr_artifactory_using_delete) | **DELETE** /cc-ui/v1/artifactories/{artifactoryId} | deleteECRArtifactory
*UiArtifactoryControllerApi* | [**get_all_artifactories_for_stack_using_get**](docs/UiArtifactoryControllerApi.md#get_all_artifactories_for_stack_using_get) | **GET** /cc-ui/v1/artifactories/stack/{stackName} | getAllArtifactoriesForStack
*UiArtifactoryControllerApi* | [**get_all_artifactories_using_get1**](docs/UiArtifactoryControllerApi.md#get_all_artifactories_using_get1) | **GET** /cc-ui/v1/artifactories | getAllArtifactories
*UiArtifactoryControllerApi* | [**get_artifactory_by_id_using_get**](docs/UiArtifactoryControllerApi.md#get_artifactory_by_id_using_get) | **GET** /cc-ui/v1/artifactories/{artifactoryId} | getArtifactoryById
*UiArtifactoryControllerApi* | [**get_artifactory_by_name_using_get**](docs/UiArtifactoryControllerApi.md#get_artifactory_by_name_using_get) | **GET** /cc-ui/v1/artifactories/name/{name} | getArtifactoryByName
*UiArtifactoryControllerApi* | [**get_repositories_by_artifactory_name_using_get**](docs/UiArtifactoryControllerApi.md#get_repositories_by_artifactory_name_using_get) | **GET** /cc-ui/v1/artifactories/name/{name}/repos | getRepositoriesByArtifactoryName
*UiArtifactoryControllerApi* | [**get_repositories_using_get**](docs/UiArtifactoryControllerApi.md#get_repositories_using_get) | **GET** /cc-ui/v1/artifactories/{artifactoryId}/repos | getRepositories
*UiArtifactoryControllerApi* | [**get_tags_by_artifactory_name_using_get**](docs/UiArtifactoryControllerApi.md#get_tags_by_artifactory_name_using_get) | **GET** /cc-ui/v1/artifactories/name/{name}/tags | getTagsByArtifactoryName
*UiArtifactoryControllerApi* | [**get_tags_using_get**](docs/UiArtifactoryControllerApi.md#get_tags_using_get) | **GET** /cc-ui/v1/artifactories/{artifactoryId}/tags | getTags
*UiArtifactoryControllerApi* | [**request_artifactory_linking_using_post**](docs/UiArtifactoryControllerApi.md#request_artifactory_linking_using_post) | **POST** /cc-ui/v1/artifactories/link-container-registry | requestArtifactoryLinking
*UiArtifactoryControllerApi* | [**update_basic_docker_artifactory_using_post**](docs/UiArtifactoryControllerApi.md#update_basic_docker_artifactory_using_post) | **POST** /cc-ui/v1/artifactories/others/{artifactoryId} | updateBasicDockerArtifactory
*UiArtifactoryControllerApi* | [**update_ecr_artifactory_using_post**](docs/UiArtifactoryControllerApi.md#update_ecr_artifactory_using_post) | **POST** /cc-ui/v1/artifactories/{artifactoryId} | updateECRArtifactory
*UiArtifactsControllerApi* | [**attach_image_via_register_using_post**](docs/UiArtifactsControllerApi.md#attach_image_via_register_using_post) | **POST** /cc-ui/v1/artifacts/attach-image-via-register | attachImageViaRegister
*UiArtifactsControllerApi* | [**delete_artifact_using_delete**](docs/UiArtifactsControllerApi.md#delete_artifact_using_delete) | **DELETE** /cc-ui/v1/artifacts/{artifactId} | deleteArtifact
*UiArtifactsControllerApi* | [**generate_artifact_push_credentials_using_post**](docs/UiArtifactsControllerApi.md#generate_artifact_push_credentials_using_post) | **POST** /cc-ui/v1/artifacts/pushCredentials/{stackName}/{appName} | generateArtifactPushCredentials
*UiArtifactsControllerApi* | [**generate_artifact_push_credentials_v2_using_post**](docs/UiArtifactsControllerApi.md#generate_artifact_push_credentials_v2_using_post) | **POST** /cc-ui/v1/artifacts/pushCredentialsV2/artifactName/{artifactName}/registrationType/{registrationType}/value/{registrationValue} | generateArtifactPushCredentialsV2
*UiArtifactsControllerApi* | [**generate_artifact_push_credentials_v3_using_post**](docs/UiArtifactsControllerApi.md#generate_artifact_push_credentials_v3_using_post) | **POST** /cc-ui/v1/artifacts/pushCredentialsV3/artifactName/{artifactName} | generateArtifactPushCredentialsV3
*UiArtifactsControllerApi* | [**get_all_using_get**](docs/UiArtifactsControllerApi.md#get_all_using_get) | **GET** /cc-ui/v1/artifacts | getAll
*UiArtifactsControllerApi* | [**get_artifact_by_application_name_using_get**](docs/UiArtifactsControllerApi.md#get_artifact_by_application_name_using_get) | **GET** /cc-ui/v1/artifacts/cluster/{clusterId}/application/{applicationName} | getArtifactByApplicationName
*UiArtifactsControllerApi* | [**get_artifact_by_cluster_id_using_get**](docs/UiArtifactsControllerApi.md#get_artifact_by_cluster_id_using_get) | **GET** /cc-ui/v1/artifacts/{clusterId} | getArtifactByClusterId
*UiArtifactsControllerApi* | [**get_artifacts_by_resource_name_and_resource_type_using_get**](docs/UiArtifactsControllerApi.md#get_artifacts_by_resource_name_and_resource_type_using_get) | **GET** /cc-ui/v1/artifacts/cluster/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | getArtifactsByResourceNameAndResourceType
*UiArtifactsControllerApi* | [**get_metadata_keys_using_get**](docs/UiArtifactsControllerApi.md#get_metadata_keys_using_get) | **GET** /cc-ui/v1/artifacts/metadata/keys | getMetadataKeys
*UiArtifactsControllerApi* | [**promote_artifact_by_artifact_ci_name_using_post**](docs/UiArtifactsControllerApi.md#promote_artifact_by_artifact_ci_name_using_post) | **POST** /cc-ui/v1/artifacts/promote | promoteArtifactByArtifactCiName
*UiArtifactsControllerApi* | [**promote_artifact_using_post**](docs/UiArtifactsControllerApi.md#promote_artifact_using_post) | **POST** /cc-ui/v1/artifacts/{ciId}/promote/{artifactId} | promoteArtifact
*UiArtifactsControllerApi* | [**push_artifact_using_post**](docs/UiArtifactsControllerApi.md#push_artifact_using_post) | **POST** /cc-ui/v1/artifacts/push | pushArtifact
*UiArtifactsControllerApi* | [**reclassify_artifacts_using_put**](docs/UiArtifactsControllerApi.md#reclassify_artifacts_using_put) | **PUT** /cc-ui/v1/artifacts/reclassify | reclassifyArtifacts
*UiArtifactsControllerApi* | [**register_artifact_by_env_using_post**](docs/UiArtifactsControllerApi.md#register_artifact_by_env_using_post) | **POST** /cc-ui/v1/artifacts/register-by-env | registerArtifactByEnv
*UiArtifactsControllerApi* | [**register_artifact_by_release_stream_using_post**](docs/UiArtifactsControllerApi.md#register_artifact_by_release_stream_using_post) | **POST** /cc-ui/v1/artifacts/register-by-release-stream | registerArtifactByReleaseStream
*UiArtifactsControllerApi* | [**register_artifact_saas_using_post**](docs/UiArtifactsControllerApi.md#register_artifact_saas_using_post) | **POST** /cc-ui/v1/artifacts/register-saas | registerArtifactSaas
*UiArtifactsControllerApi* | [**register_artifact_using_post1**](docs/UiArtifactsControllerApi.md#register_artifact_using_post1) | **POST** /cc-ui/v1/artifacts/register | registerArtifact
*UiArtifactsControllerApi* | [**register_artifact_v2_using_post**](docs/UiArtifactsControllerApi.md#register_artifact_v2_using_post) | **POST** /cc-ui/v1/artifacts/registerV2 | registerArtifactV2
*UiArtifactsControllerApi* | [**update_release_stream_using_post**](docs/UiArtifactsControllerApi.md#update_release_stream_using_post) | **POST** /cc-ui/v1/artifacts/clusterId/{clusterId}/currentReleaseStream/{currentReleaseStream}/updatedReleaseStream/{updatedReleaseStream}/updateStream | updateReleaseStream
*UiArtifactsControllerApi* | [**upload_artifacts_zip_using_post**](docs/UiArtifactsControllerApi.md#upload_artifacts_zip_using_post) | **POST** /cc-ui/v1/artifacts/upload | uploadArtifactsZip
*UiAssistantControllerApi* | [**continue_chat_using_post**](docs/UiAssistantControllerApi.md#continue_chat_using_post) | **POST** /cc-ui/v2/assistant/chat | Continue Chat
*UiAssistantControllerApi* | [**create_thread_using_get**](docs/UiAssistantControllerApi.md#create_thread_using_get) | **GET** /cc-ui/v2/assistant/thread | createThread
*UiAssistantControllerApi* | [**get_chat_using_post**](docs/UiAssistantControllerApi.md#get_chat_using_post) | **POST** /cc-ui/v2/assistant/{threadId}/getChat | getChat
*UiAuditLogsControllerApi* | [**get_audit_logs_using_get**](docs/UiAuditLogsControllerApi.md#get_audit_logs_using_get) | **GET** /cc-ui/v1/audit-logs | getAuditLogs
*UiAwsClusterControllerApi* | [**configure_draft_cluster_using_post**](docs/UiAwsClusterControllerApi.md#configure_draft_cluster_using_post) | **POST** /cc-ui/v1/aws/clusters/configure/{clusterId} | configureDraftCluster
*UiAwsClusterControllerApi* | [**create_cluster_using_post2**](docs/UiAwsClusterControllerApi.md#create_cluster_using_post2) | **POST** /cc-ui/v1/aws/clusters | Create a new Environment for a blueprint
*UiAwsClusterControllerApi* | [**get_cluster_using_get2**](docs/UiAwsClusterControllerApi.md#get_cluster_using_get2) | **GET** /cc-ui/v1/aws/clusters/{clusterId} | getCluster
*UiAwsClusterControllerApi* | [**onboard_customer_using_post**](docs/UiAwsClusterControllerApi.md#onboard_customer_using_post) | **POST** /cc-ui/v1/aws/clusters/onboard-customer | onboardCustomer
*UiAwsClusterControllerApi* | [**update_cluster_using_put2**](docs/UiAwsClusterControllerApi.md#update_cluster_using_put2) | **PUT** /cc-ui/v1/aws/clusters/{clusterId} | updateCluster
*UiAwsClusterControllerApi* | [**validate_vpc_id_using_get**](docs/UiAwsClusterControllerApi.md#validate_vpc_id_using_get) | **GET** /cc-ui/v1/aws/clusters/validate-vpcId | validateVpcId
*UiAzureClusterControllerApi* | [**configure_draft_cluster_using_post1**](docs/UiAzureClusterControllerApi.md#configure_draft_cluster_using_post1) | **POST** /cc-ui/v1/azure/clusters/configure/{clusterId} | configureDraftCluster
*UiAzureClusterControllerApi* | [**create_azure_cluster_using_post**](docs/UiAzureClusterControllerApi.md#create_azure_cluster_using_post) | **POST** /cc-ui/v1/azure/clusters | createAzureCluster
*UiAzureClusterControllerApi* | [**get_azure_cluster_using_get**](docs/UiAzureClusterControllerApi.md#get_azure_cluster_using_get) | **GET** /cc-ui/v1/azure/clusters/{clusterId} | getAzureCluster
*UiAzureClusterControllerApi* | [**update_azure_cluster_using_put**](docs/UiAzureClusterControllerApi.md#update_azure_cluster_using_put) | **PUT** /cc-ui/v1/azure/clusters/{clusterId} | updateAzureCluster
*UiAzureClusterControllerApi* | [**validate_vnet_using_get**](docs/UiAzureClusterControllerApi.md#validate_vnet_using_get) | **GET** /cc-ui/v1/azure/clusters/validate-vnet | validateVnet
*UiBillingControllerApi* | [**buy_support_plan_using_post**](docs/UiBillingControllerApi.md#buy_support_plan_using_post) | **POST** /cc-ui/v1/billing/buy-support-plan | buySupportPlan
*UiBillingControllerApi* | [**get_billing_metadata_using_get**](docs/UiBillingControllerApi.md#get_billing_metadata_using_get) | **GET** /cc-ui/v1/billing/metadata | getBillingMetadata
*UiBillingControllerApi* | [**report_usage_using_get**](docs/UiBillingControllerApi.md#report_usage_using_get) | **GET** /cc-ui/v1/billing/report-usage | reportUsage
*UiBillingControllerApi* | [**start_stripe_customer_portal_session_using_get**](docs/UiBillingControllerApi.md#start_stripe_customer_portal_session_using_get) | **GET** /cc-ui/v1/billing/manage-billing | startStripeCustomerPortalSession
*UiBlueprintDesignerControllerApi* | [**add_variables_using_post**](docs/UiBlueprintDesignerControllerApi.md#add_variables_using_post) | **POST** /cc-ui/v1/designer/{stackName}/variables | addVariables
*UiBlueprintDesignerControllerApi* | [**apply_template_using_post**](docs/UiBlueprintDesignerControllerApi.md#apply_template_using_post) | **POST** /cc-ui/v1/designer/{stackName}/{templateName}/apply | applyTemplate
*UiBlueprintDesignerControllerApi* | [**bulk_edit_disabled_for_resources_using_put**](docs/UiBlueprintDesignerControllerApi.md#bulk_edit_disabled_for_resources_using_put) | **PUT** /cc-ui/v1/designer/{stackName}/branch/{branch}/resource-enable-disable | bulkEditDisabledForResources
*UiBlueprintDesignerControllerApi* | [**bulk_edit_disabled_for_resources_using_put1**](docs/UiBlueprintDesignerControllerApi.md#bulk_edit_disabled_for_resources_using_put1) | **PUT** /cc-ui/v1/designer/{stackName}/resource-enable-disable | bulkEditDisabledForResources
*UiBlueprintDesignerControllerApi* | [**create_branch_using_post**](docs/UiBlueprintDesignerControllerApi.md#create_branch_using_post) | **POST** /cc-ui/v1/designer/{stackName}/{branch}/create-branch | createBranch
*UiBlueprintDesignerControllerApi* | [**create_resources_using_post**](docs/UiBlueprintDesignerControllerApi.md#create_resources_using_post) | **POST** /cc-ui/v1/designer/{stackName}/branch/{branch} | createResources
*UiBlueprintDesignerControllerApi* | [**delete_resources_using_delete**](docs/UiBlueprintDesignerControllerApi.md#delete_resources_using_delete) | **DELETE** /cc-ui/v1/designer/{stackName}/branch/{branch} | deleteResources
*UiBlueprintDesignerControllerApi* | [**delete_variables_using_delete**](docs/UiBlueprintDesignerControllerApi.md#delete_variables_using_delete) | **DELETE** /cc-ui/v1/designer/{stackName}/variables | deleteVariables
*UiBlueprintDesignerControllerApi* | [**get_add_on_modules_using_get**](docs/UiBlueprintDesignerControllerApi.md#get_add_on_modules_using_get) | **GET** /cc-ui/v1/designer/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/add-ons | Get add ons for this resource
*UiBlueprintDesignerControllerApi* | [**get_autocomplete_data_using_get**](docs/UiBlueprintDesignerControllerApi.md#get_autocomplete_data_using_get) | **GET** /cc-ui/v1/designer/{stackName}/ref-autocomplete-data | getAutocompleteData
*UiBlueprintDesignerControllerApi* | [**get_autocomplete_data_v2_using_get**](docs/UiBlueprintDesignerControllerApi.md#get_autocomplete_data_v2_using_get) | **GET** /cc-ui/v1/designer/{stackName}/ref-autocomplete-data-v2 | Get autocomplete data with module-specific output trees
*UiBlueprintDesignerControllerApi* | [**get_designer_resources_using_get**](docs/UiBlueprintDesignerControllerApi.md#get_designer_resources_using_get) | **GET** /cc-ui/v1/designer/{stackName}/{branchName}/files | getDesignerResources
*UiBlueprintDesignerControllerApi* | [**get_module_inputs_using_get**](docs/UiBlueprintDesignerControllerApi.md#get_module_inputs_using_get) | **GET** /cc-ui/v1/designer/{stackName}/intent/{intent}/flavor/{flavor}/input | getModuleInputs
*UiBlueprintDesignerControllerApi* | [**get_pull_requests_using_get**](docs/UiBlueprintDesignerControllerApi.md#get_pull_requests_using_get) | **GET** /cc-ui/v1/designer/{stackName}/pulls | getPullRequests
*UiBlueprintDesignerControllerApi* | [**get_pull_requests_using_get1**](docs/UiBlueprintDesignerControllerApi.md#get_pull_requests_using_get1) | **GET** /cc-ui/v1/designer/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/pulls | getPullRequests
*UiBlueprintDesignerControllerApi* | [**get_schema_metadata_using_get**](docs/UiBlueprintDesignerControllerApi.md#get_schema_metadata_using_get) | **GET** /cc-ui/v1/designer/facets-components | getSchemaMetadata
*UiBlueprintDesignerControllerApi* | [**get_workflow_runs_using_get**](docs/UiBlueprintDesignerControllerApi.md#get_workflow_runs_using_get) | **GET** /cc-ui/v1/designer/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/workflow-runs | getWorkflowRuns
*UiBlueprintDesignerControllerApi* | [**get_workflow_runs_using_get1**](docs/UiBlueprintDesignerControllerApi.md#get_workflow_runs_using_get1) | **GET** /cc-ui/v1/designer/{stackName}/workflow-runs | getWorkflowRuns
*UiBlueprintDesignerControllerApi* | [**get_workflows_using_get**](docs/UiBlueprintDesignerControllerApi.md#get_workflows_using_get) | **GET** /cc-ui/v1/designer/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/workflows | getWorkflows
*UiBlueprintDesignerControllerApi* | [**get_workflows_using_get1**](docs/UiBlueprintDesignerControllerApi.md#get_workflows_using_get1) | **GET** /cc-ui/v1/designer/{stackName}/workflows | getWorkflows
*UiBlueprintDesignerControllerApi* | [**list_branches_using_get**](docs/UiBlueprintDesignerControllerApi.md#list_branches_using_get) | **GET** /cc-ui/v1/designer/{stackName}/branch-list | listBranches
*UiBlueprintDesignerControllerApi* | [**list_branches_using_get1**](docs/UiBlueprintDesignerControllerApi.md#list_branches_using_get1) | **GET** /cc-ui/v1/designer/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/branch-list | listBranches
*UiBlueprintDesignerControllerApi* | [**rename_resource_using_put**](docs/UiBlueprintDesignerControllerApi.md#rename_resource_using_put) | **PUT** /cc-ui/v1/designer/{stackName}/branch/{branch}/rename | renameResource
*UiBlueprintDesignerControllerApi* | [**sync_specified_blueprints_with_templates_using_post**](docs/UiBlueprintDesignerControllerApi.md#sync_specified_blueprints_with_templates_using_post) | **POST** /cc-ui/v1/designer/{templateName}/sync | syncSpecifiedBlueprintsWithTemplates
*UiBlueprintDesignerControllerApi* | [**update_resources_using_put**](docs/UiBlueprintDesignerControllerApi.md#update_resources_using_put) | **PUT** /cc-ui/v1/designer/{stackName}/branch/{branch} | updateResources
*UiBlueprintDesignerControllerApi* | [**update_variables_using_put**](docs/UiBlueprintDesignerControllerApi.md#update_variables_using_put) | **PUT** /cc-ui/v1/designer/{stackName}/variables | updateVariables
*UiChatGptControllerApi* | [**analyze_kubernetes_cluster_using_get**](docs/UiChatGptControllerApi.md#analyze_kubernetes_cluster_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/kubernetes/analyze | analyzeKubernetesCluster
*UiChatGptControllerApi* | [**chat_using_post**](docs/UiChatGptControllerApi.md#chat_using_post) | **POST** /cc-ui/v1/clusters/chat/{chatId} | Send a message to a chat
*UiChatGptControllerApi* | [**create_chat_using_post**](docs/UiChatGptControllerApi.md#create_chat_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/chat | Create a new chat
*UiChatGptControllerApi* | [**get_all_chats_using_get**](docs/UiChatGptControllerApi.md#get_all_chats_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/chat | Get chats by cluster ID
*UiChatGptControllerApi* | [**get_all_starters_using_get**](docs/UiChatGptControllerApi.md#get_all_starters_using_get) | **GET** /cc-ui/v1/clusters/chat/metadata | Get chat starters metadata
*UiChatGptControllerApi* | [**get_chat_by_id_using_get**](docs/UiChatGptControllerApi.md#get_chat_by_id_using_get) | **GET** /cc-ui/v1/clusters/chat/{chatId} | Get chat by ID
*UiChatGptControllerApi* | [**get_k8s_chats_using_post**](docs/UiChatGptControllerApi.md#get_k8s_chats_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/k8s-chat | Ask Questions about k8s operations
*UiCiCdControllerApi* | [**attach_rule_and_workflow_using_put**](docs/UiCiCdControllerApi.md#attach_rule_and_workflow_using_put) | **PUT** /cc-ui/v1/ci-cd/attach | Attach Rule and Workflow
*UiCiCdControllerApi* | [**detach_rule_and_workflow_using_put**](docs/UiCiCdControllerApi.md#detach_rule_and_workflow_using_put) | **PUT** /cc-ui/v1/ci-cd/detach | Detach Rule and Workflow
*UiCiCdControllerApi* | [**generate_artifact_push_credentials_using_post1**](docs/UiCiCdControllerApi.md#generate_artifact_push_credentials_using_post1) | **POST** /cc-ui/v1/ci-cd/pushCredentials | Generate Artifact Push Credentials
*UiCiCdControllerApi* | [**get_ci_cd_details_using_get**](docs/UiCiCdControllerApi.md#get_ci_cd_details_using_get) | **GET** /cc-ui/v1/ci-cd/{stackName} | Get CI/CD Details
*UiCiCdControllerApi* | [**register_artifact_saas_using_post1**](docs/UiCiCdControllerApi.md#register_artifact_saas_using_post1) | **POST** /cc-ui/v1/ci-cd/register | Register Artifact SaaS
*UiCiCdControllerApi* | [**save_ci_cd_details_using_post**](docs/UiCiCdControllerApi.md#save_ci_cd_details_using_post) | **POST** /cc-ui/v1/ci-cd | Save CI/CD Details
*UiCloudCostExplorerControllerApi* | [**get_daily_cloud_cost_using_get**](docs/UiCloudCostExplorerControllerApi.md#get_daily_cloud_cost_using_get) | **GET** /cc-ui/v1/cost-explorer/stack/{stackName}/daily-cost | getDailyCloudCost
*UiCloudCostExplorerControllerApi* | [**get_service_wise_cost_using_get**](docs/UiCloudCostExplorerControllerApi.md#get_service_wise_cost_using_get) | **GET** /cc-ui/v1/cost-explorer/service-wise-cost/{clusterId} | getServiceWiseCost
*UiCloudCostExplorerControllerApi* | [**is_aws_cost_explorer_enabled_using_get**](docs/UiCloudCostExplorerControllerApi.md#is_aws_cost_explorer_enabled_using_get) | **GET** /cc-ui/v1/cost-explorer/aws/enabled | isAwsCostExplorerEnabled
*UiCloudCostExplorerControllerApi* | [**sync_cloud_cost_using_get**](docs/UiCloudCostExplorerControllerApi.md#sync_cloud_cost_using_get) | **GET** /cc-ui/v1/cost-explorer/sync-cost | syncCloudCost
*UiCoderControllerApi* | [**create_workspace_with_existing_branch_using_post**](docs/UiCoderControllerApi.md#create_workspace_with_existing_branch_using_post) | **POST** /cc-ui/v1/coder/stack/{stackName}/existing-branch | createWorkspaceWithExistingBranch
*UiCoderControllerApi* | [**create_workspace_with_existing_branch_using_post1**](docs/UiCoderControllerApi.md#create_workspace_with_existing_branch_using_post1) | **POST** /cc-ui/v1/coder/stack/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/existing-branch | createWorkspaceWithExistingBranch
*UiCoderControllerApi* | [**create_workspace_with_new_branch_using_post**](docs/UiCoderControllerApi.md#create_workspace_with_new_branch_using_post) | **POST** /cc-ui/v1/coder/stack/{stackName}/new-branch | createWorkspaceWithNewBranch
*UiCoderControllerApi* | [**create_workspace_with_new_branch_using_post1**](docs/UiCoderControllerApi.md#create_workspace_with_new_branch_using_post1) | **POST** /cc-ui/v1/coder/stack/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/new-branch | createWorkspaceWithNewBranch
*UiCoderControllerApi* | [**get_all_using_get1**](docs/UiCoderControllerApi.md#get_all_using_get1) | **GET** /cc-ui/v1/coder/stack/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/workspaces | getAll
*UiCoderControllerApi* | [**get_all_using_get2**](docs/UiCoderControllerApi.md#get_all_using_get2) | **GET** /cc-ui/v1/coder/stack/{stackName}/workspaces | getAll
*UiCoderControllerApi* | [**identify_coder_launch_eligible_using_get**](docs/UiCoderControllerApi.md#identify_coder_launch_eligible_using_get) | **GET** /cc-ui/v1/coder/stack/{stackName}/coder-eligibility | identifyCoderLaunchEligible
*UiCommonClusterControllerApi* | [**add_cluster_schedules_using_post**](docs/UiCommonClusterControllerApi.md#add_cluster_schedules_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/schedule | addClusterSchedules
*UiCommonClusterControllerApi* | [**add_tools_config_using_post**](docs/UiCommonClusterControllerApi.md#add_tools_config_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/tools-config | addToolsConfig
*UiCommonClusterControllerApi* | [**attach_image_using_post**](docs/UiCommonClusterControllerApi.md#attach_image_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/attach-image | attachImage
*UiCommonClusterControllerApi* | [**bulk_enable_disable_resources_using_put**](docs/UiCommonClusterControllerApi.md#bulk_enable_disable_resources_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/resource-enable-disable | bulkEnableDisableResources
*UiCommonClusterControllerApi* | [**copy_configurations_selective_using_put**](docs/UiCommonClusterControllerApi.md#copy_configurations_selective_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/copy-configurations-selective | Copy configurations from one cluster to another selectively
*UiCommonClusterControllerApi* | [**create_availability_schedule_using_post**](docs/UiCommonClusterControllerApi.md#create_availability_schedule_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/availability-schedule | createAvailabilitySchedule
*UiCommonClusterControllerApi* | [**create_cluster_tf_details_using_post**](docs/UiCommonClusterControllerApi.md#create_cluster_tf_details_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/tfRunConfigurations | createClusterTFDetails
*UiCommonClusterControllerApi* | [**create_draft_cluster_using_post**](docs/UiCommonClusterControllerApi.md#create_draft_cluster_using_post) | **POST** /cc-ui/v1/clusters/draft-cluster | createDraftCluster
*UiCommonClusterControllerApi* | [**create_snapshot_using_post**](docs/UiCommonClusterControllerApi.md#create_snapshot_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/dr/{resourceType}/snapshots/{instanceName} | createSnapshot
*UiCommonClusterControllerApi* | [**create_template_inputs_using_post**](docs/UiCommonClusterControllerApi.md#create_template_inputs_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/templateInputs/{inputType}/items | createTemplateInputs
*UiCommonClusterControllerApi* | [**delete_availability_schedule_using_delete**](docs/UiCommonClusterControllerApi.md#delete_availability_schedule_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/availability-schedule/{availabilityScheduleId} | deleteAvailabilitySchedule
*UiCommonClusterControllerApi* | [**delete_cluster_force_using_delete**](docs/UiCommonClusterControllerApi.md#delete_cluster_force_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/force | deleteClusterForce
*UiCommonClusterControllerApi* | [**delete_cluster_schedule_using_delete**](docs/UiCommonClusterControllerApi.md#delete_cluster_schedule_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/schedule/{clusterScheduleId} | deleteClusterSchedule
*UiCommonClusterControllerApi* | [**delete_cluster_tf_details_using_delete**](docs/UiCommonClusterControllerApi.md#delete_cluster_tf_details_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/tfRunConfigurations | deleteClusterTFDetails
*UiCommonClusterControllerApi* | [**delete_cluster_using_delete1**](docs/UiCommonClusterControllerApi.md#delete_cluster_using_delete1) | **DELETE** /cc-ui/v1/clusters/{clusterId} | deleteCluster
*UiCommonClusterControllerApi* | [**delete_overrides_using_delete**](docs/UiCommonClusterControllerApi.md#delete_overrides_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/overrides/{resourceType}/{resourceName} | deleteOverrides
*UiCommonClusterControllerApi* | [**delete_template_inputs_using_delete**](docs/UiCommonClusterControllerApi.md#delete_template_inputs_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/templateInputs/{inputType}/items/{uid} | deleteTemplateInputs
*UiCommonClusterControllerApi* | [**delete_tools_config_using_delete**](docs/UiCommonClusterControllerApi.md#delete_tools_config_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/tools-config | deleteToolsConfig
*UiCommonClusterControllerApi* | [**detach_image_using_delete**](docs/UiCommonClusterControllerApi.md#detach_image_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/detachImage | detachImage
*UiCommonClusterControllerApi* | [**edit_tools_config_using_put**](docs/UiCommonClusterControllerApi.md#edit_tools_config_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/tools-config/{toolsConfigId} | editToolsConfig
*UiCommonClusterControllerApi* | [**get_alerts_using_get**](docs/UiCommonClusterControllerApi.md#get_alerts_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/alerts | getAlerts
*UiCommonClusterControllerApi* | [**get_all_template_inputs_using_get**](docs/UiCommonClusterControllerApi.md#get_all_template_inputs_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/templateInputs/ | getAllTemplateInputs
*UiCommonClusterControllerApi* | [**get_availability_schedules_using_get**](docs/UiCommonClusterControllerApi.md#get_availability_schedules_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/availability-schedule | getAvailabilitySchedules
*UiCommonClusterControllerApi* | [**get_cluster_common_using_get**](docs/UiCommonClusterControllerApi.md#get_cluster_common_using_get) | **GET** /cc-ui/v1/clusters/{clusterId} | getClusterCommon
*UiCommonClusterControllerApi* | [**get_cluster_info_using_get**](docs/UiCommonClusterControllerApi.md#get_cluster_info_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/info | getClusterInfo
*UiCommonClusterControllerApi* | [**get_cluster_metadata_using_get**](docs/UiCommonClusterControllerApi.md#get_cluster_metadata_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/cluster-metadata | getClusterMetadata
*UiCommonClusterControllerApi* | [**get_cluster_schedules_using_get**](docs/UiCommonClusterControllerApi.md#get_cluster_schedules_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/schedule | getClusterSchedules
*UiCommonClusterControllerApi* | [**get_cluster_tf_details_using_get**](docs/UiCommonClusterControllerApi.md#get_cluster_tf_details_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/tfRunConfigurations | getClusterTFDetails
*UiCommonClusterControllerApi* | [**get_k8s_credentials_using_get**](docs/UiCommonClusterControllerApi.md#get_k8s_credentials_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8sCredentials | getK8sCredentials
*UiCommonClusterControllerApi* | [**get_kube_config_using_get**](docs/UiCommonClusterControllerApi.md#get_kube_config_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/kubeconfig | getKubeConfig
*UiCommonClusterControllerApi* | [**get_matched_modules_using_get**](docs/UiCommonClusterControllerApi.md#get_matched_modules_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/match-modules | getMatchedModules
*UiCommonClusterControllerApi* | [**get_namespaces_in_use_by_dependent_clusters_using_get**](docs/UiCommonClusterControllerApi.md#get_namespaces_in_use_by_dependent_clusters_using_get) | **GET** /cc-ui/v1/clusters/{baseClusterId}/base-env-in-use-namespaces | getNamespacesInUseByDependentClusters
*UiCommonClusterControllerApi* | [**get_open_alerts_using_get**](docs/UiCommonClusterControllerApi.md#get_open_alerts_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/open-alerts | getOpenAlerts
*UiCommonClusterControllerApi* | [**get_overrides_using_get1**](docs/UiCommonClusterControllerApi.md#get_overrides_using_get1) | **GET** /cc-ui/v1/clusters/{clusterId}/overrides | getOverrides
*UiCommonClusterControllerApi* | [**get_pinned_snapshot_using_get1**](docs/UiCommonClusterControllerApi.md#get_pinned_snapshot_using_get1) | **GET** /cc-ui/v1/clusters/{clusterId}/dr/{resourceType}/snapshots/{instanceName}/pinnedSnapshot | getPinnedSnapshot
*UiCommonClusterControllerApi* | [**get_provided_resources_using_get**](docs/UiCommonClusterControllerApi.md#get_provided_resources_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/providedResources | getProvidedResources
*UiCommonClusterControllerApi* | [**get_release_impacts_using_get**](docs/UiCommonClusterControllerApi.md#get_release_impacts_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName}/release-impacts | getReleaseImpacts
*UiCommonClusterControllerApi* | [**get_resource_stats_using_get**](docs/UiCommonClusterControllerApi.md#get_resource_stats_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/resource-stats | getResourceStats
*UiCommonClusterControllerApi* | [**get_template_input_by_uid_using_get**](docs/UiCommonClusterControllerApi.md#get_template_input_by_uid_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/templateInputs/{inputType}/items/{uid} | getTemplateInputByUid
*UiCommonClusterControllerApi* | [**get_template_inputs_using_get**](docs/UiCommonClusterControllerApi.md#get_template_inputs_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/templateInputs/{inputType}/items | getTemplateInputs
*UiCommonClusterControllerApi* | [**get_tools_config_using_get**](docs/UiCommonClusterControllerApi.md#get_tools_config_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/tools-config | getToolsConfig
*UiCommonClusterControllerApi* | [**get_variable_counts_using_get**](docs/UiCommonClusterControllerApi.md#get_variable_counts_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/variable-counts | getVariableCounts
*UiCommonClusterControllerApi* | [**get_vars_using_get**](docs/UiCommonClusterControllerApi.md#get_vars_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/vars | getVars
*UiCommonClusterControllerApi* | [**get_vars_with_secrets_using_get**](docs/UiCommonClusterControllerApi.md#get_vars_with_secrets_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/vars-with-secrets | getVarsWithSecrets
*UiCommonClusterControllerApi* | [**get_vars_with_status_using_get**](docs/UiCommonClusterControllerApi.md#get_vars_with_status_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/varsWithStatus | getVarsWithStatus
*UiCommonClusterControllerApi* | [**get_vpn_profile_using_get**](docs/UiCommonClusterControllerApi.md#get_vpn_profile_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/vpn-profile | getVPNProfile
*UiCommonClusterControllerApi* | [**list_snapshots_using_get1**](docs/UiCommonClusterControllerApi.md#list_snapshots_using_get1) | **GET** /cc-ui/v1/clusters/{clusterId}/dr/{resourceType}/snapshots/{instanceName} | listSnapshots
*UiCommonClusterControllerApi* | [**override_sizing_using_post1**](docs/UiCommonClusterControllerApi.md#override_sizing_using_post1) | **POST** /cc-ui/v1/clusters/{clusterId}/overrides | overrideSizing
*UiCommonClusterControllerApi* | [**pause_release_using_post**](docs/UiCommonClusterControllerApi.md#pause_release_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/pause-release | pauseRelease
*UiCommonClusterControllerApi* | [**pin_snapshot_using_post1**](docs/UiCommonClusterControllerApi.md#pin_snapshot_using_post1) | **POST** /cc-ui/v1/clusters/{clusterId}/dr/{resourceType}/snapshots/{instanceName}/pinnedSnapshot | pinSnapshot
*UiCommonClusterControllerApi* | [**refresh_kube_config_using_get**](docs/UiCommonClusterControllerApi.md#refresh_kube_config_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/kubeconfig/refresh | refreshKubeConfig
*UiCommonClusterControllerApi* | [**remove_silence_using_delete**](docs/UiCommonClusterControllerApi.md#remove_silence_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/alerts/silence/{silenceId} | removeSilence
*UiCommonClusterControllerApi* | [**resource_details_using_get**](docs/UiCommonClusterControllerApi.md#resource_details_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/resourceDetails | resourceDetails
*UiCommonClusterControllerApi* | [**set_cluster_code_using_post**](docs/UiCommonClusterControllerApi.md#set_cluster_code_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/setClusterCode | setClusterCode
*UiCommonClusterControllerApi* | [**silence_alerts_using_post**](docs/UiCommonClusterControllerApi.md#silence_alerts_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/silence-alerts | silenceAlerts
*UiCommonClusterControllerApi* | [**update_availability_schedules_using_put**](docs/UiCommonClusterControllerApi.md#update_availability_schedules_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/availability-schedule/{scheduleId} | updateAvailabilitySchedules
*UiCommonClusterControllerApi* | [**update_cluster_branch_using_patch**](docs/UiCommonClusterControllerApi.md#update_cluster_branch_using_patch) | **PATCH** /cc-ui/v1/clusters/{clusterId}/branch | updateClusterBranch
*UiCommonClusterControllerApi* | [**update_cluster_schedules_using_put**](docs/UiCommonClusterControllerApi.md#update_cluster_schedules_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/schedule/{clusterScheduleId} | updateClusterSchedules
*UiCommonClusterControllerApi* | [**update_cluster_tf_details_using_put**](docs/UiCommonClusterControllerApi.md#update_cluster_tf_details_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/tfRunConfigurations | updateClusterTFDetails
*UiCommonClusterControllerApi* | [**update_draft_cluster_using_put**](docs/UiCommonClusterControllerApi.md#update_draft_cluster_using_put) | **PUT** /cc-ui/v1/clusters/draft-cluster/{clusterId} | updateDraftCluster
*UiCommonClusterControllerApi* | [**update_template_input_using_put**](docs/UiCommonClusterControllerApi.md#update_template_input_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/templateInputs/{inputType}/items/{uid} | updateTemplateInput
*UiCommonClusterControllerApi* | [**upsert_provided_resources_using_post**](docs/UiCommonClusterControllerApi.md#upsert_provided_resources_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/providedResources | upsertProvidedResources
*UiCommonClusterControllerApi* | [**upsert_vars_using_post1**](docs/UiCommonClusterControllerApi.md#upsert_vars_using_post1) | **POST** /cc-ui/v1/clusters/{clusterId}/vars/upsert | upsertVars
*UiCustomContentControllerApi* | [**create_content_file_using_post**](docs/UiCustomContentControllerApi.md#create_content_file_using_post) | **POST** /cc-ui/v1/content/files | createContentFile
*UiCustomContentControllerApi* | [**delete_content_file_using_delete**](docs/UiCustomContentControllerApi.md#delete_content_file_using_delete) | **DELETE** /cc-ui/v1/content/files/{contentId} | deleteContentFile
*UiCustomContentControllerApi* | [**get_content_files_by_selectors_using_get**](docs/UiCustomContentControllerApi.md#get_content_files_by_selectors_using_get) | **GET** /cc-ui/v1/content/files/selectors/{contentType} | getContentFilesBySelectors
*UiCustomContentControllerApi* | [**render_content_using_post**](docs/UiCustomContentControllerApi.md#render_content_using_post) | **POST** /cc-ui/v1/content/files/{contentId}/render | renderContent
*UiCustomContentControllerApi* | [**update_content_file_using_put**](docs/UiCustomContentControllerApi.md#update_content_file_using_put) | **PUT** /cc-ui/v1/content/files/{contentId} | updateContentFile
*UiCustomRoleControllerApi* | [**create_custom_role_using_post**](docs/UiCustomRoleControllerApi.md#create_custom_role_using_post) | **POST** /cc-ui/v1/custom-role | createCustomRole
*UiCustomRoleControllerApi* | [**delete_custom_role_using_delete**](docs/UiCustomRoleControllerApi.md#delete_custom_role_using_delete) | **DELETE** /cc-ui/v1/custom-role/{roleName} | deleteCustomRole
*UiCustomRoleControllerApi* | [**get_all_custom_roles_using_get**](docs/UiCustomRoleControllerApi.md#get_all_custom_roles_using_get) | **GET** /cc-ui/v1/custom-role | getAllCustomRoles
*UiCustomRoleControllerApi* | [**get_all_roles_using_get**](docs/UiCustomRoleControllerApi.md#get_all_roles_using_get) | **GET** /cc-ui/v1/custom-role/roles | getAllRoles
*UiCustomRoleControllerApi* | [**get_custom_role_using_get**](docs/UiCustomRoleControllerApi.md#get_custom_role_using_get) | **GET** /cc-ui/v1/custom-role/{roleName} | getCustomRole
*UiCustomRoleControllerApi* | [**update_custom_role_using_put**](docs/UiCustomRoleControllerApi.md#update_custom_role_using_put) | **PUT** /cc-ui/v1/custom-role/{roleName} | updateCustomRole
*UiDeliveryPipelineControllerApi* | [**get_delivery_pipeline_using_get**](docs/UiDeliveryPipelineControllerApi.md#get_delivery_pipeline_using_get) | **GET** /cc-ui/v1/delivery-pipeline/{stackName} | getDeliveryPipeline
*UiDeliveryPipelineControllerApi* | [**update_delivery_pipeline_using_put**](docs/UiDeliveryPipelineControllerApi.md#update_delivery_pipeline_using_put) | **PUT** /cc-ui/v1/delivery-pipeline/{stackName} | updateDeliveryPipeline
*UiDeploymentControllerApi* | [**abort_automation_suite_using_delete1**](docs/UiDeploymentControllerApi.md#abort_automation_suite_using_delete1) | **DELETE** /cc-ui/v1/clusters/{clusterId}/deployments/qa/{executionId}/abortSuite | abortAutomationSuite
*UiDeploymentControllerApi* | [**approve_release_using_post**](docs/UiDeploymentControllerApi.md#approve_release_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/approveRelease | approveRelease
*UiDeploymentControllerApi* | [**clean_s3_sources_using_delete**](docs/UiDeploymentControllerApi.md#clean_s3_sources_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/deployments/clean-s3-sources | cleanS3Sources
*UiDeploymentControllerApi* | [**create_deployment_using_post**](docs/UiDeploymentControllerApi.md#create_deployment_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments | createDeployment
*UiDeploymentControllerApi* | [**destroy_cluster_using_delete**](docs/UiDeploymentControllerApi.md#destroy_cluster_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/deployments/destroy | destroyCluster
*UiDeploymentControllerApi* | [**download_terraform_export_using_get**](docs/UiDeploymentControllerApi.md#download_terraform_export_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/download-terraform-export | downloadTerraformExport
*UiDeploymentControllerApi* | [**get_cluster_state_using_get**](docs/UiDeploymentControllerApi.md#get_cluster_state_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/state | getClusterState
*UiDeploymentControllerApi* | [**get_deployment_logs_using_get**](docs/UiDeploymentControllerApi.md#get_deployment_logs_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/logs | getDeploymentLogs
*UiDeploymentControllerApi* | [**get_deployment_stats_using_get**](docs/UiDeploymentControllerApi.md#get_deployment_stats_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/stats | getDeploymentStats
*UiDeploymentControllerApi* | [**get_deployment_using_get**](docs/UiDeploymentControllerApi.md#get_deployment_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId} | getDeployment
*UiDeploymentControllerApi* | [**get_deployments_overview_using_get**](docs/UiDeploymentControllerApi.md#get_deployments_overview_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/overview | getDeploymentsOverview
*UiDeploymentControllerApi* | [**get_deployments_using_get1**](docs/UiDeploymentControllerApi.md#get_deployments_using_get1) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments | getDeployments
*UiDeploymentControllerApi* | [**get_latest_release_by_application_using_get**](docs/UiDeploymentControllerApi.md#get_latest_release_by_application_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/latest-successful-release/{application} | getLatestReleaseByApplication
*UiDeploymentControllerApi* | [**get_latest_release_using_get**](docs/UiDeploymentControllerApi.md#get_latest_release_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/latest-successful-release | getLatestRelease
*UiDeploymentControllerApi* | [**get_release_changes_using_get**](docs/UiDeploymentControllerApi.md#get_release_changes_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/release-changes | getReleaseChanges
*UiDeploymentControllerApi* | [**launch_cluster_using_put**](docs/UiDeploymentControllerApi.md#launch_cluster_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/deployments/launch | launchCluster
*UiDeploymentControllerApi* | [**reject_release_using_post**](docs/UiDeploymentControllerApi.md#reject_release_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/rejectRelease | rejectRelease
*UiDeploymentControllerApi* | [**release_using_put**](docs/UiDeploymentControllerApi.md#release_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/deployments/release | release
*UiDeploymentControllerApi* | [**release_v2_using_put**](docs/UiDeploymentControllerApi.md#release_v2_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/deployments/releaseV2/{releaseType} | releaseV2
*UiDeploymentControllerApi* | [**run_hotfix_deployment_recipe_using_post**](docs/UiDeploymentControllerApi.md#run_hotfix_deployment_recipe_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/recipes/deployment/hotfix | runHotfixDeploymentRecipe
*UiDeploymentControllerApi* | [**search_deployments_using_get**](docs/UiDeploymentControllerApi.md#search_deployments_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/search | searchDeployments
*UiDeploymentControllerApi* | [**sign_off_deployment_using_put**](docs/UiDeploymentControllerApi.md#sign_off_deployment_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/signoff | signOffDeployment
*UiDeploymentControllerApi* | [**simulate_using_get**](docs/UiDeploymentControllerApi.md#simulate_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/simulate | simulate
*UiDeploymentControllerApi* | [**state_unlock_using_put**](docs/UiDeploymentControllerApi.md#state_unlock_using_put) | **PUT** /cc-ui/v1/clusters/{clusterId}/deployments/unlock | stateUnlock
*UiDeploymentControllerApi* | [**stream_deployment_logs_using_get**](docs/UiDeploymentControllerApi.md#stream_deployment_logs_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/logs/stream | streamDeploymentLogs
*UiDeploymentControllerApi* | [**trigger_maintenance_release_using_post**](docs/UiDeploymentControllerApi.md#trigger_maintenance_release_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/maintenance | triggerMaintenanceRelease
*UiDeploymentControllerApi* | [**trigger_rollback_plan_release_using_post**](docs/UiDeploymentControllerApi.md#trigger_rollback_plan_release_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/{deploymentId}/{resourceType}/{resourceName}/rollback-plan | triggerRollbackPlanRelease
*UiDeploymentControllerApi* | [**trigger_terraform_export_using_post**](docs/UiDeploymentControllerApi.md#trigger_terraform_export_using_post) | **POST** /cc-ui/v1/clusters/{clusterId}/deployments/terraform-export | triggerTerraformExport
*UiDomainMappingControllerApi* | [**add_domain_mapping_using_post**](docs/UiDomainMappingControllerApi.md#add_domain_mapping_using_post) | **POST** /cc-ui/v1/domain-mapping/clusterId/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | addDomainMapping
*UiDomainMappingControllerApi* | [**delete_domain_mapping_using_delete**](docs/UiDomainMappingControllerApi.md#delete_domain_mapping_using_delete) | **DELETE** /cc-ui/v1/domain-mapping/clusterId/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | deleteDomainMapping
*UiDomainMappingControllerApi* | [**get_all_domains_using_get**](docs/UiDomainMappingControllerApi.md#get_all_domains_using_get) | **GET** /cc-ui/v1/domain-mapping/clusterId/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | getAllDomains
*UiDomainMappingControllerApi* | [**update_domain_mapping_using_put**](docs/UiDomainMappingControllerApi.md#update_domain_mapping_using_put) | **PUT** /cc-ui/v1/domain-mapping/clusterId/{clusterId}/resourceType/{resourceType}/resourceName/{resourceName} | updateDomainMapping
*UiDropdownsControllerApi* | [**get_affected_resources_by_cluster_using_post**](docs/UiDropdownsControllerApi.md#get_affected_resources_by_cluster_using_post) | **POST** /cc-ui/v1/dropdown/cluster/{clusterId}/affected-resources | getAffectedResourcesByCluster
*UiDropdownsControllerApi* | [**get_affected_resources_by_stack_using_post**](docs/UiDropdownsControllerApi.md#get_affected_resources_by_stack_using_post) | **POST** /cc-ui/v1/dropdown/stack/{stackName}/affected-resources | getAffectedResourcesByStack
*UiDropdownsControllerApi* | [**get_all_cluster_resources_by_stack_using_get**](docs/UiDropdownsControllerApi.md#get_all_cluster_resources_by_stack_using_get) | **GET** /cc-ui/v1/dropdown/stack/{stackName}/{resourceType}/{resourceName}/cluster-resources-info | getAllClusterResourcesByStack
*UiDropdownsControllerApi* | [**get_all_permissions_using_get**](docs/UiDropdownsControllerApi.md#get_all_permissions_using_get) | **GET** /cc-ui/v1/dropdown/getAllPermissions | getAllPermissions
*UiDropdownsControllerApi* | [**get_all_resources_by_cluster_using_get**](docs/UiDropdownsControllerApi.md#get_all_resources_by_cluster_using_get) | **GET** /cc-ui/v1/dropdown/cluster/{clusterId}/resources-info | getAllResourcesByCluster
*UiDropdownsControllerApi* | [**get_all_resources_by_stack_using_get**](docs/UiDropdownsControllerApi.md#get_all_resources_by_stack_using_get) | **GET** /cc-ui/v1/dropdown/stack/{stackName}/resources-info | getAllResourcesByStack
*UiDropdownsControllerApi* | [**get_all_resources_for_all_cluster_of_stack_using_get**](docs/UiDropdownsControllerApi.md#get_all_resources_for_all_cluster_of_stack_using_get) | **GET** /cc-ui/v1/dropdown/stack/{stackName}/all-cluster-resources | getAllResourcesForAllClusterOfStack
*UiDropdownsControllerApi* | [**get_all_resources_using_get**](docs/UiDropdownsControllerApi.md#get_all_resources_using_get) | **GET** /cc-ui/v1/dropdown/cluster/{clusterId}/resources | getAllResources
*UiDropdownsControllerApi* | [**get_all_vcs_using_get**](docs/UiDropdownsControllerApi.md#get_all_vcs_using_get) | **GET** /cc-ui/v1/dropdown/vcs | getAllVCS
*UiDropdownsControllerApi* | [**get_application_list_by_cluster_id_and_resource_name_using_get**](docs/UiDropdownsControllerApi.md#get_application_list_by_cluster_id_and_resource_name_using_get) | **GET** /cc-ui/v1/dropdown/{clusterId}/{resourceType} | getApplicationListByClusterIdAndResourceName
*UiDropdownsControllerApi* | [**get_az_for_region_by_cloud_using_get**](docs/UiDropdownsControllerApi.md#get_az_for_region_by_cloud_using_get) | **GET** /cc-ui/v1/dropdown/{cloud}/region/{region}/availability-zones | getAzForRegionByCloud
*UiDropdownsControllerApi* | [**get_file_from_facets_modules_using_get**](docs/UiDropdownsControllerApi.md#get_file_from_facets_modules_using_get) | **GET** /cc-ui/v1/dropdown/file | getFileFromFacetsModules
*UiDropdownsControllerApi* | [**get_git_history_for_resource_using_get**](docs/UiDropdownsControllerApi.md#get_git_history_for_resource_using_get) | **GET** /cc-ui/v1/dropdown/logs/cluster/{clusterId}/resourceName/{resourceName}/resourceType/{resourceType} | getGitHistoryForResource
*UiDropdownsControllerApi* | [**get_launch_dag_using_get**](docs/UiDropdownsControllerApi.md#get_launch_dag_using_get) | **GET** /cc-ui/v1/dropdown/{clusterId}/cloud/{cloud}/launch-dag | getLaunchDAG
*UiDropdownsControllerApi* | [**get_output_references_using_get**](docs/UiDropdownsControllerApi.md#get_output_references_using_get) | **GET** /cc-ui/v1/dropdown/{stackName}/output/{outputType}/references | getOutputReferences
*UiDropdownsControllerApi* | [**get_regions_using_get**](docs/UiDropdownsControllerApi.md#get_regions_using_get) | **GET** /cc-ui/v1/dropdown/{cloud}/regions | getRegions
*UiDropdownsControllerApi* | [**get_regions_v2_using_get**](docs/UiDropdownsControllerApi.md#get_regions_v2_using_get) | **GET** /cc-ui/v1/dropdown/{cloud}/regions-v2 | getRegionsV2
*UiDropdownsControllerApi* | [**get_release_streams_using_get**](docs/UiDropdownsControllerApi.md#get_release_streams_using_get) | **GET** /cc-ui/v1/dropdown/releaseStreams | getReleaseStreams
*UiDropdownsControllerApi* | [**get_resource_by_cluster_id_using_get**](docs/UiDropdownsControllerApi.md#get_resource_by_cluster_id_using_get) | **GET** /cc-ui/v1/dropdown/cluster/{clusterId}/{resourceType}/{resourceName}/resource-info | getResourceByClusterId
*UiDropdownsControllerApi* | [**get_resource_by_stack_using_get**](docs/UiDropdownsControllerApi.md#get_resource_by_stack_using_get) | **GET** /cc-ui/v1/dropdown/stack/{stackName}/{resourceType}/{resourceName}/resource-info | getResourceByStack
*UiDropdownsControllerApi* | [**get_resource_histories_by_stack_using_get**](docs/UiDropdownsControllerApi.md#get_resource_histories_by_stack_using_get) | **GET** /cc-ui/v1/dropdown/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/resource-history | getResourceHistoriesByStack
*UiDropdownsControllerApi* | [**get_resource_history_overview_by_stack_using_get**](docs/UiDropdownsControllerApi.md#get_resource_history_overview_by_stack_using_get) | **GET** /cc-ui/v1/dropdown/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/resource-history-overview | getResourceHistoryOverviewByStack
*UiDropdownsControllerApi* | [**get_role_permissions_using_get**](docs/UiDropdownsControllerApi.md#get_role_permissions_using_get) | **GET** /cc-ui/v1/dropdown/rolePermissions/{role} | getRolePermissions
*UiDropdownsControllerApi* | [**get_service_overview_using_get**](docs/UiDropdownsControllerApi.md#get_service_overview_using_get) | **GET** /cc-ui/v1/dropdown/stack/{stackName}/service/{serviceName}/overview | getServiceOverview
*UiDropdownsControllerApi* | [**sync_cluster_history_using_post**](docs/UiDropdownsControllerApi.md#sync_cluster_history_using_post) | **POST** /cc-ui/v1/dropdown/logs/cluster/{clusterId} | syncClusterHistory
*UiDropdownsControllerApi* | [**sync_substack_git_history_using_post**](docs/UiDropdownsControllerApi.md#sync_substack_git_history_using_post) | **POST** /cc-ui/v1/dropdown/logs/substack | syncSubstackGitHistory
*UiGcpClusterControllerApi* | [**configure_draft_cluster_using_post2**](docs/UiGcpClusterControllerApi.md#configure_draft_cluster_using_post2) | **POST** /cc-ui/v1/gcp/clusters/configure/{clusterId} | configureDraftCluster
*UiGcpClusterControllerApi* | [**create_gcp_cluster_using_post**](docs/UiGcpClusterControllerApi.md#create_gcp_cluster_using_post) | **POST** /cc-ui/v1/gcp/clusters | createGCPCluster
*UiGcpClusterControllerApi* | [**get_gcp_cluster_using_get**](docs/UiGcpClusterControllerApi.md#get_gcp_cluster_using_get) | **GET** /cc-ui/v1/gcp/clusters/{clusterId} | getGCPCluster
*UiGcpClusterControllerApi* | [**update_gcp_cluster_using_put**](docs/UiGcpClusterControllerApi.md#update_gcp_cluster_using_put) | **PUT** /cc-ui/v1/gcp/clusters/{clusterId} | updateGCPCluster
*UiGcpClusterControllerApi* | [**validate_vpc_id_using_get1**](docs/UiGcpClusterControllerApi.md#validate_vpc_id_using_get1) | **GET** /cc-ui/v1/gcp/clusters/validate-vpcId | validateVpcId
*UiIacRepoControllerApi* | [**create_iac_repo_using_post**](docs/UiIacRepoControllerApi.md#create_iac_repo_using_post) | **POST** /cc-ui/v1/iac/repo | createIacRepo
*UiIacRepoControllerApi* | [**delete_iac_repo_using_delete**](docs/UiIacRepoControllerApi.md#delete_iac_repo_using_delete) | **DELETE** /cc-ui/v1/iac/repo/{id} | deleteIacRepo
*UiIacRepoControllerApi* | [**get_all_iac_repos_using_get**](docs/UiIacRepoControllerApi.md#get_all_iac_repos_using_get) | **GET** /cc-ui/v1/iac/repo | getAllIacRepos
*UiIacRepoControllerApi* | [**get_iac_repo_by_id_using_get**](docs/UiIacRepoControllerApi.md#get_iac_repo_by_id_using_get) | **GET** /cc-ui/v1/iac/repo/{id} | getIacRepoById
*UiIacRepoControllerApi* | [**update_iac_repo_using_put**](docs/UiIacRepoControllerApi.md#update_iac_repo_using_put) | **PUT** /cc-ui/v1/iac/repo/{id} | updateIacRepo
*UiIntentControllerApi* | [**create_or_update_intent_using_post**](docs/UiIntentControllerApi.md#create_or_update_intent_using_post) | **POST** /cc-ui/v1/intents | createOrUpdateIntent
*UiIntentControllerApi* | [**delete_intent_using_delete**](docs/UiIntentControllerApi.md#delete_intent_using_delete) | **DELETE** /cc-ui/v1/intents/{name} | deleteIntent
*UiIntentControllerApi* | [**get_all_intents_using_get**](docs/UiIntentControllerApi.md#get_all_intents_using_get) | **GET** /cc-ui/v1/intents | getAllIntents
*UiK8sClusterControllerApi* | [**create_draft_cluster_using_post1**](docs/UiK8sClusterControllerApi.md#create_draft_cluster_using_post1) | **POST** /cc-ui/v1/kubernetes/clusters/configure/{clusterId} | createDraftCluster
*UiK8sClusterControllerApi* | [**create_k8s_cluster_using_post**](docs/UiK8sClusterControllerApi.md#create_k8s_cluster_using_post) | **POST** /cc-ui/v1/kubernetes/clusters | createK8sCluster
*UiK8sClusterControllerApi* | [**get_k8s_cluster_using_get**](docs/UiK8sClusterControllerApi.md#get_k8s_cluster_using_get) | **GET** /cc-ui/v1/kubernetes/clusters/{clusterId} | getK8sCluster
*UiK8sClusterControllerApi* | [**update_k8s_cluster_using_put**](docs/UiK8sClusterControllerApi.md#update_k8s_cluster_using_put) | **PUT** /cc-ui/v1/kubernetes/clusters/{clusterId} | updateK8sCluster
*UiKubernetesExplorerControllerApi* | [**container_logs_using_get**](docs/UiKubernetesExplorerControllerApi.md#container_logs_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/pods/{podName}/{containerName}/logs | containerLogs
*UiKubernetesExplorerControllerApi* | [**get_all_ingress_rules_for_cluster_using_get**](docs/UiKubernetesExplorerControllerApi.md#get_all_ingress_rules_for_cluster_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/ingress-rules | getAllIngressRulesForCluster
*UiKubernetesExplorerControllerApi* | [**get_config_map_data_using_get**](docs/UiKubernetesExplorerControllerApi.md#get_config_map_data_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/configMaps/{configMapName} | getConfigMapData
*UiKubernetesExplorerControllerApi* | [**get_manifest_using_get**](docs/UiKubernetesExplorerControllerApi.md#get_manifest_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/{k8sResourceType}/{k8sResourceName}/manifest | getManifest
*UiKubernetesExplorerControllerApi* | [**get_pods_for_deployment_using_get**](docs/UiKubernetesExplorerControllerApi.md#get_pods_for_deployment_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/deployments/{deploymentName} | getPodsForDeployment
*UiKubernetesExplorerControllerApi* | [**get_secrets_data_using_get**](docs/UiKubernetesExplorerControllerApi.md#get_secrets_data_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/secrets/{secretName} | getSecretsData
*UiKubernetesExplorerControllerApi* | [**list_config_map_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_config_map_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/configMaps | listConfigMapByLabels
*UiKubernetesExplorerControllerApi* | [**list_containers_in_pod_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_containers_in_pod_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/{podName}/containers | listContainersInPod
*UiKubernetesExplorerControllerApi* | [**list_containers_in_pod_v2_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_containers_in_pod_v2_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/{podName}/v2/containers | listContainersInPodV2
*UiKubernetesExplorerControllerApi* | [**list_cron_job_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_cron_job_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/cronJobs | listCronJobByLabels
*UiKubernetesExplorerControllerApi* | [**list_daemon_sets_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_daemon_sets_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/daemonSets | listDaemonSetsByLabels
*UiKubernetesExplorerControllerApi* | [**list_deployments_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_deployments_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/deployments | listDeploymentsByLabels
*UiKubernetesExplorerControllerApi* | [**list_events_by_k8s_resource_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_events_by_k8s_resource_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/{k8sResourceType}/{k8sResourceName}/events | listEventsByK8sResource
*UiKubernetesExplorerControllerApi* | [**list_hpa_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_hpa_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/hpa | listHpaByLabels
*UiKubernetesExplorerControllerApi* | [**list_ingresses_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_ingresses_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/ingresses | listIngressesByLabels
*UiKubernetesExplorerControllerApi* | [**list_jobs_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_jobs_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/jobs | listJobsByLabels
*UiKubernetesExplorerControllerApi* | [**list_pods_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_pods_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/pods | listPodsByLabels
*UiKubernetesExplorerControllerApi* | [**list_pvby_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_pvby_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/pv | listPVByLabels
*UiKubernetesExplorerControllerApi* | [**list_pvcby_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_pvcby_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/pvc | listPVCByLabels
*UiKubernetesExplorerControllerApi* | [**list_replicasets_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_replicasets_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/replicasets | listReplicasetsByLabels
*UiKubernetesExplorerControllerApi* | [**list_secrets_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_secrets_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/secrets | listSecretsByLabels
*UiKubernetesExplorerControllerApi* | [**list_services_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_services_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/services | listServicesByLabels
*UiKubernetesExplorerControllerApi* | [**list_statefulsets_labels_by_labels_using_get**](docs/UiKubernetesExplorerControllerApi.md#list_statefulsets_labels_by_labels_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/k8s-explorer/statefulsets | listStatefulsetsLabelsByLabels
*UiLocalClusterControllerApi* | [**create_cluster_using_post3**](docs/UiLocalClusterControllerApi.md#create_cluster_using_post3) | **POST** /cc-ui/v1/local/clusters | Create a new Environment for a blueprint
*UiLocalClusterControllerApi* | [**get_cluster_using_get3**](docs/UiLocalClusterControllerApi.md#get_cluster_using_get3) | **GET** /cc-ui/v1/local/clusters/{clusterId} | getCluster
*UiLocalClusterControllerApi* | [**get_vagrant_using_get**](docs/UiLocalClusterControllerApi.md#get_vagrant_using_get) | **GET** /cc-ui/v1/local/clusters/{clusterId}/vagrant | getVagrant
*UiLocalClusterControllerApi* | [**update_cluster_using_put3**](docs/UiLocalClusterControllerApi.md#update_cluster_using_put3) | **PUT** /cc-ui/v1/local/clusters/{clusterId} | updateCluster
*UiMaintenanceWindowControllerApi* | [**enable_disable_using_put**](docs/UiMaintenanceWindowControllerApi.md#enable_disable_using_put) | **PUT** /cc-ui/v1/maintenance-window/{clusterId}/enable-disable | enableDisable
*UiMaintenanceWindowControllerApi* | [**get_by_cluster_id_using_get**](docs/UiMaintenanceWindowControllerApi.md#get_by_cluster_id_using_get) | **GET** /cc-ui/v1/maintenance-window/{clusterId} | getByClusterId
*UiMaintenanceWindowControllerApi* | [**update_using_put**](docs/UiMaintenanceWindowControllerApi.md#update_using_put) | **PUT** /cc-ui/v1/maintenance-window | update
*UiMetaControllerApi* | [**get_cp_account_using_get**](docs/UiMetaControllerApi.md#get_cp_account_using_get) | **GET** /cc-ui/v1/meta/cpAccount | getCPAccount
*UiMetaControllerApi* | [**get_supported_component_version_using_get1**](docs/UiMetaControllerApi.md#get_supported_component_version_using_get1) | **GET** /cc-ui/v1/meta/components/{componentType}/supportedVersion | getSupportedComponentVersion
*UiMetaControllerApi* | [**get_supported_component_versions_using_get1**](docs/UiMetaControllerApi.md#get_supported_component_versions_using_get1) | **GET** /cc-ui/v1/meta/components/supportedVersion | getSupportedComponentVersions
*UiNoAuthUserControllerApi* | [**reset_password_request_using_post**](docs/UiNoAuthUserControllerApi.md#reset_password_request_using_post) | **POST** /public-ui/v1/user/resetPassword | resetPasswordRequest
*UiNoAuthUserControllerApi* | [**save_password_using_post**](docs/UiNoAuthUserControllerApi.md#save_password_using_post) | **POST** /public-ui/v1/user/savePassword | savePassword
*UiNoAuthUserControllerApi* | [**validate_token_using_post**](docs/UiNoAuthUserControllerApi.md#validate_token_using_post) | **POST** /public-ui/v1/user/token/validate | validateToken
*UiNotificationControllerApi* | [**create_notification_channel_using_post**](docs/UiNotificationControllerApi.md#create_notification_channel_using_post) | **POST** /cc-ui/v1/notification/channels | createNotificationChannel
*UiNotificationControllerApi* | [**create_subscription_using_post**](docs/UiNotificationControllerApi.md#create_subscription_using_post) | **POST** /cc-ui/v1/notification/subscriptions | createSubscription
*UiNotificationControllerApi* | [**delete_notification_channel_using_delete**](docs/UiNotificationControllerApi.md#delete_notification_channel_using_delete) | **DELETE** /cc-ui/v1/notification/channels/{channelId} | deleteNotificationChannel
*UiNotificationControllerApi* | [**delete_subscription_using_delete**](docs/UiNotificationControllerApi.md#delete_subscription_using_delete) | **DELETE** /cc-ui/v1/notification/subscriptions/{subscriptionId} | deleteSubscription
*UiNotificationControllerApi* | [**edit_notification_channel_using_put**](docs/UiNotificationControllerApi.md#edit_notification_channel_using_put) | **PUT** /cc-ui/v1/notification/channels/{channelId} | editNotificationChannel
*UiNotificationControllerApi* | [**edit_subscription_using_put**](docs/UiNotificationControllerApi.md#edit_subscription_using_put) | **PUT** /cc-ui/v1/notification/subscriptions/{subscriptionId} | editSubscription
*UiNotificationControllerApi* | [**get_all_channel_types_using_get**](docs/UiNotificationControllerApi.md#get_all_channel_types_using_get) | **GET** /cc-ui/v1/notification/channelTypes | getAllChannelTypes
*UiNotificationControllerApi* | [**get_all_channels_using_get**](docs/UiNotificationControllerApi.md#get_all_channels_using_get) | **GET** /cc-ui/v1/notification/channels | getAllChannels
*UiNotificationControllerApi* | [**get_all_notification_tags_using_get**](docs/UiNotificationControllerApi.md#get_all_notification_tags_using_get) | **GET** /cc-ui/v1/notification/notificationTags | getAllNotificationTags
*UiNotificationControllerApi* | [**get_all_notification_types_using_get**](docs/UiNotificationControllerApi.md#get_all_notification_types_using_get) | **GET** /cc-ui/v1/notification/notificationTypes | getAllNotificationTypes
*UiNotificationControllerApi* | [**get_all_subscriptions_using_get**](docs/UiNotificationControllerApi.md#get_all_subscriptions_using_get) | **GET** /cc-ui/v1/notification/subscriptions | getAllSubscriptions
*UiNotificationControllerApi* | [**get_channel_using_get**](docs/UiNotificationControllerApi.md#get_channel_using_get) | **GET** /cc-ui/v1/notification/channels/{channelId} | getChannel
*UiNotificationControllerApi* | [**get_filters_for_subscriptions_using_post**](docs/UiNotificationControllerApi.md#get_filters_for_subscriptions_using_post) | **POST** /cc-ui/v1/notification/{notificationType}/tag/{tagName}/values/ | getFiltersForSubscriptions
*UiNotificationControllerApi* | [**get_notification_tags_for_notification_type_using_get**](docs/UiNotificationControllerApi.md#get_notification_tags_for_notification_type_using_get) | **GET** /cc-ui/v1/notification/{notificationType}/tags | getNotificationTagsForNotificationType
*UiNotificationControllerApi* | [**get_subscription_attributes_using_get**](docs/UiNotificationControllerApi.md#get_subscription_attributes_using_get) | **GET** /cc-ui/v1/notification/notificationType/{notificationType}/attributes | getSubscriptionAttributes
*UiNotificationControllerApi* | [**get_subscription_using_get**](docs/UiNotificationControllerApi.md#get_subscription_using_get) | **GET** /cc-ui/v1/notification/subscriptions/{subscriptionId} | getSubscription
*UiNotificationControllerApi* | [**test_notification_channel_using_post**](docs/UiNotificationControllerApi.md#test_notification_channel_using_post) | **POST** /cc-ui/v1/notification/channels/test | testNotificationChannel
*UiOAuthControllerApi* | [**add_generic_o_auth_integration_using_post**](docs/UiOAuthControllerApi.md#add_generic_o_auth_integration_using_post) | **POST** /cc-ui/v1/oauth/generic-oauth-integration | addGenericOAuthIntegration
*UiOAuthControllerApi* | [**add_integrations_using_post**](docs/UiOAuthControllerApi.md#add_integrations_using_post) | **POST** /cc-ui/v1/oauth | addIntegrations
*UiOAuthControllerApi* | [**delete_integrations_using_delete**](docs/UiOAuthControllerApi.md#delete_integrations_using_delete) | **DELETE** /cc-ui/v1/oauth/{registrationId} | deleteIntegrations
*UiOAuthControllerApi* | [**edit_generic_o_auth_integration_using_put**](docs/UiOAuthControllerApi.md#edit_generic_o_auth_integration_using_put) | **PUT** /cc-ui/v1/oauth/generic-oauth-integration | editGenericOAuthIntegration
*UiOAuthControllerApi* | [**get_all_integrations_using_get**](docs/UiOAuthControllerApi.md#get_all_integrations_using_get) | **GET** /cc-ui/v1/oauth | getAllIntegrations
*UiOAuthControllerApi* | [**update_integrations_using_put**](docs/UiOAuthControllerApi.md#update_integrations_using_put) | **PUT** /cc-ui/v1/oauth/{registrationId} | updateIntegrations
*UiOneTimeWebhookControllerApi* | [**poll_webhook_using_get**](docs/UiOneTimeWebhookControllerApi.md#poll_webhook_using_get) | **GET** /cc-ui/v1/onetime-webhook/poll/{webhookId} | pollWebhook
*UiOneTimeWebhookControllerApi* | [**register_webhook_using_post**](docs/UiOneTimeWebhookControllerApi.md#register_webhook_using_post) | **POST** /cc-ui/v1/onetime-webhook/register | registerWebhook
*UiOpaControllerApi* | [**bulk_edit_opa_policy_state_using_post**](docs/UiOpaControllerApi.md#bulk_edit_opa_policy_state_using_post) | **POST** /cc-ui/v1/opa/enable-disable-policies | bulkEditOpaPolicyState
*UiOpaControllerApi* | [**create_policy_using_post**](docs/UiOpaControllerApi.md#create_policy_using_post) | **POST** /cc-ui/v1/opa/{policyName} | createPolicy
*UiOpaControllerApi* | [**delete_policy_using_delete**](docs/UiOpaControllerApi.md#delete_policy_using_delete) | **DELETE** /cc-ui/v1/opa/{policyName} | deletePolicy
*UiOpaControllerApi* | [**edit_policy_using_put**](docs/UiOpaControllerApi.md#edit_policy_using_put) | **PUT** /cc-ui/v1/opa/{policyName} | editPolicy
*UiOpaControllerApi* | [**execute_policy_using_post**](docs/UiOpaControllerApi.md#execute_policy_using_post) | **POST** /cc-ui/v1/opa/{policyName}/execute | executePolicy
*UiOpaControllerApi* | [**get_all_policies_using_get**](docs/UiOpaControllerApi.md#get_all_policies_using_get) | **GET** /cc-ui/v1/opa | getAllPolicies
*UiOpaControllerApi* | [**get_all_policy_templates_using_get**](docs/UiOpaControllerApi.md#get_all_policy_templates_using_get) | **GET** /cc-ui/v1/opa/policy-templates | getAllPolicyTemplates
*UiOpaControllerApi* | [**get_policy_using_get**](docs/UiOpaControllerApi.md#get_policy_using_get) | **GET** /cc-ui/v1/opa/{policyName} | getPolicy
*UiProjectTypeControllerApi* | [**add_project_type_using_post**](docs/UiProjectTypeControllerApi.md#add_project_type_using_post) | **POST** /cc-ui/v1/project-types | Add a new project type
*UiProjectTypeControllerApi* | [**delete_project_type_using_delete**](docs/UiProjectTypeControllerApi.md#delete_project_type_using_delete) | **DELETE** /cc-ui/v1/project-types/{id} | Delete a project type
*UiProjectTypeControllerApi* | [**get_all_project_types_using_get**](docs/UiProjectTypeControllerApi.md#get_all_project_types_using_get) | **GET** /cc-ui/v1/project-types | Get all project types
*UiProjectTypeControllerApi* | [**get_project_type_by_id_using_get**](docs/UiProjectTypeControllerApi.md#get_project_type_by_id_using_get) | **GET** /cc-ui/v1/project-types/{id} | Get project type by ID
*UiProjectTypeControllerApi* | [**update_project_type_using_put**](docs/UiProjectTypeControllerApi.md#update_project_type_using_put) | **PUT** /cc-ui/v1/project-types/{id} | Update an existing project type
*UiPromotionWorkflowControllerApi* | [**create_workflow_using_post**](docs/UiPromotionWorkflowControllerApi.md#create_workflow_using_post) | **POST** /cc-ui/v1/workflow | createWorkflow
*UiPromotionWorkflowControllerApi* | [**delete_workflow_using_delete**](docs/UiPromotionWorkflowControllerApi.md#delete_workflow_using_delete) | **DELETE** /cc-ui/v1/workflow/{workflowId} | deleteWorkflow
*UiPromotionWorkflowControllerApi* | [**get_all_workflows_using_get**](docs/UiPromotionWorkflowControllerApi.md#get_all_workflows_using_get) | **GET** /cc-ui/v1/workflow | getAllWorkflows
*UiPromotionWorkflowControllerApi* | [**get_default_workflow_using_get**](docs/UiPromotionWorkflowControllerApi.md#get_default_workflow_using_get) | **GET** /cc-ui/v1/workflow/default-workflow/registration-type/{registrationType} | getDefaultWorkflow
*UiPromotionWorkflowControllerApi* | [**get_registration_specific_workflows_using_get**](docs/UiPromotionWorkflowControllerApi.md#get_registration_specific_workflows_using_get) | **GET** /cc-ui/v1/workflow/registration-specific | getRegistrationSpecificWorkflows
*UiPromotionWorkflowControllerApi* | [**get_workflow_using_get**](docs/UiPromotionWorkflowControllerApi.md#get_workflow_using_get) | **GET** /cc-ui/v1/workflow/{workflowId} | getWorkflow
*UiPromotionWorkflowControllerApi* | [**get_workflows_by_stack_using_get**](docs/UiPromotionWorkflowControllerApi.md#get_workflows_by_stack_using_get) | **GET** /cc-ui/v1/workflow/blueprint/{stackName} | getWorkflowsByStack
*UiPromotionWorkflowControllerApi* | [**update_workflow_using_put**](docs/UiPromotionWorkflowControllerApi.md#update_workflow_using_put) | **PUT** /cc-ui/v1/workflow/{workflowId} | updateWorkflow
*UiProvidedResourcesControllerApi* | [**get_provided_resources_info_using_get**](docs/UiProvidedResourcesControllerApi.md#get_provided_resources_info_using_get) | **GET** /cc-ui/v1/provided-resources/cluster/{clusterId}/resource-type/{resourceType}/resource-name/{resourceName} | getProvidedResourcesInfo
*UiProvidedResourcesControllerApi* | [**save_provided_resources_details_using_post**](docs/UiProvidedResourcesControllerApi.md#save_provided_resources_details_using_post) | **POST** /cc-ui/v1/provided-resources/{clusterId} | saveProvidedResourcesDetails
*UiQueuedReleaseControllerApi* | [**delete_by_id_using_delete**](docs/UiQueuedReleaseControllerApi.md#delete_by_id_using_delete) | **DELETE** /cc-ui/v1/clusters/{clusterId}/queued-releases/{queuedReleaseId} | deleteById
*UiQueuedReleaseControllerApi* | [**get_all_queued_releases_using_get**](docs/UiQueuedReleaseControllerApi.md#get_all_queued_releases_using_get) | **GET** /cc-ui/v1/clusters/{clusterId}/queued-releases/ | getAllQueuedReleases
*UiReleaseStreamControllerApi* | [**add_using_post**](docs/UiReleaseStreamControllerApi.md#add_using_post) | **POST** /cc-ui/v1/release-stream | add
*UiReleaseStreamControllerApi* | [**delete_using_delete**](docs/UiReleaseStreamControllerApi.md#delete_using_delete) | **DELETE** /cc-ui/v1/release-stream/{name} | delete
*UiReleaseStreamControllerApi* | [**get_all_using_get3**](docs/UiReleaseStreamControllerApi.md#get_all_using_get3) | **GET** /cc-ui/v1/release-stream | getAll
*UiResourceGroupControllerApi* | [**create_using_post**](docs/UiResourceGroupControllerApi.md#create_using_post) | **POST** /cc-ui/v1/resource-groups | create
*UiResourceGroupControllerApi* | [**delete_using_delete1**](docs/UiResourceGroupControllerApi.md#delete_using_delete1) | **DELETE** /cc-ui/v1/resource-groups/{resourceGroupId} | delete
*UiResourceGroupControllerApi* | [**find_all_using_get**](docs/UiResourceGroupControllerApi.md#find_all_using_get) | **GET** /cc-ui/v1/resource-groups | findAll
*UiResourceGroupControllerApi* | [**get_resource_group_using_get**](docs/UiResourceGroupControllerApi.md#get_resource_group_using_get) | **GET** /cc-ui/v1/resource-groups/{resourceGroupId} | getResourceGroup
*UiResourceGroupControllerApi* | [**get_resource_groups_for_session_user_using_get**](docs/UiResourceGroupControllerApi.md#get_resource_groups_for_session_user_using_get) | **GET** /cc-ui/v1/resource-groups/me | getResourceGroupsForSessionUser
*UiResourceGroupControllerApi* | [**update_all_resources_using_put**](docs/UiResourceGroupControllerApi.md#update_all_resources_using_put) | **PUT** /cc-ui/v1/resource-groups/{resourceGroupId}/resources | updateAllResources
*UiResourceGroupControllerApi* | [**update_resource_using_patch**](docs/UiResourceGroupControllerApi.md#update_resource_using_patch) | **PATCH** /cc-ui/v1/resource-groups/{resourceGroupId}/resources | updateResource
*UiResourceGroupControllerApi* | [**update_using_put1**](docs/UiResourceGroupControllerApi.md#update_using_put1) | **PUT** /cc-ui/v1/resource-groups/{resourceGroupId} | update
*UiResourceStatusControllerApi* | [**get_release_preview_using_get**](docs/UiResourceStatusControllerApi.md#get_release_preview_using_get) | **GET** /cc-ui/v1/resources/{clusterId}/release-preview | getReleasePreview
*UiResourceStatusControllerApi* | [**get_resource_status_using_get**](docs/UiResourceStatusControllerApi.md#get_resource_status_using_get) | **GET** /cc-ui/v1/resources/{projectName}/{environmentName}/status | getResourceStatus
*UiResourceStatusControllerApi* | [**sync_resource_using_post**](docs/UiResourceStatusControllerApi.md#sync_resource_using_post) | **POST** /cc-ui/v1/resources/sync | syncResource
*UiSettingsControllerApi* | [**add_setting_value_using_put**](docs/UiSettingsControllerApi.md#add_setting_value_using_put) | **PUT** /cc-ui/v1/settings/value/{entityType}/{entityId} | addSettingValue
*UiSettingsControllerApi* | [**get_all_settings_for_entity_using_get**](docs/UiSettingsControllerApi.md#get_all_settings_for_entity_using_get) | **GET** /cc-ui/v1/settings/entity/{entity} | getAllSettingsForEntity
*UiSettingsControllerApi* | [**get_all_settings_yaml_using_get**](docs/UiSettingsControllerApi.md#get_all_settings_yaml_using_get) | **GET** /cc-ui/v1/settings/ui-yaml | getAllSettingsYaml
*UiSettingsControllerApi* | [**get_setting_value_using_get**](docs/UiSettingsControllerApi.md#get_setting_value_using_get) | **GET** /cc-ui/v1/settings/value/{entityType}/{entityId} | getSettingValue
*UiSettingsControllerApi* | [**set_onboarding_display_using_put**](docs/UiSettingsControllerApi.md#set_onboarding_display_using_put) | **PUT** /cc-ui/v1/settings/onboarding-display/{value} | setOnboardingDisplay
*UiStackControllerApi* | [**create_project_using_post**](docs/UiStackControllerApi.md#create_project_using_post) | **POST** /cc-ui/v1/stacks/project | createProject
*UiStackControllerApi* | [**create_stack_using_post1**](docs/UiStackControllerApi.md#create_stack_using_post1) | **POST** /cc-ui/v1/stacks/ | createStack
*UiStackControllerApi* | [**create_stack_v2_using_post**](docs/UiStackControllerApi.md#create_stack_v2_using_post) | **POST** /cc-ui/v1/stacks/v2 | createStackV2
*UiStackControllerApi* | [**create_starter_project_using_post**](docs/UiStackControllerApi.md#create_starter_project_using_post) | **POST** /cc-ui/v1/stacks/starter-project | createStarterProject
*UiStackControllerApi* | [**create_sub_stack_using_post**](docs/UiStackControllerApi.md#create_sub_stack_using_post) | **POST** /cc-ui/v1/stacks/substack/{substackName} | createSubStack
*UiStackControllerApi* | [**create_subscription_using_post1**](docs/UiStackControllerApi.md#create_subscription_using_post1) | **POST** /cc-ui/v1/stacks/{stackName}/notification/subscriptions | createSubscription
*UiStackControllerApi* | [**delete_stack_using_delete**](docs/UiStackControllerApi.md#delete_stack_using_delete) | **DELETE** /cc-ui/v1/stacks/{stackName} | deleteStack
*UiStackControllerApi* | [**enable_git_ops_using_put**](docs/UiStackControllerApi.md#enable_git_ops_using_put) | **PUT** /cc-ui/v1/stacks/{stackName}/enable-git-ops | enableGitOps
*UiStackControllerApi* | [**get_all_clusters_using_get**](docs/UiStackControllerApi.md#get_all_clusters_using_get) | **GET** /cc-ui/v1/stacks/clusters | getAllClusters
*UiStackControllerApi* | [**get_all_subscriptions_using_get1**](docs/UiStackControllerApi.md#get_all_subscriptions_using_get1) | **GET** /cc-ui/v1/stacks/{stackName}/notification/subscriptions | getAllSubscriptions
*UiStackControllerApi* | [**get_all_template_inputs_meta_using_get**](docs/UiStackControllerApi.md#get_all_template_inputs_meta_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/templateInputs/meta | getAllTemplateInputsMeta
*UiStackControllerApi* | [**get_application_list_using_get**](docs/UiStackControllerApi.md#get_application_list_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/{resourceType}/ | getApplicationList
*UiStackControllerApi* | [**get_application_using_get1**](docs/UiStackControllerApi.md#get_application_using_get1) | **GET** /cc-ui/v1/stacks/{stackName}/{resourceType}/{appName} | getApplication
*UiStackControllerApi* | [**get_cluster_metadata_by_stack_using_get**](docs/UiStackControllerApi.md#get_cluster_metadata_by_stack_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/clusters-metadata | getClusterMetadataByStack
*UiStackControllerApi* | [**get_clusters_overview_using_get**](docs/UiStackControllerApi.md#get_clusters_overview_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/clusters-overview | getClustersOverview
*UiStackControllerApi* | [**get_clusters_using_get1**](docs/UiStackControllerApi.md#get_clusters_using_get1) | **GET** /cc-ui/v1/stacks/{stackName}/clusters | getClusters
*UiStackControllerApi* | [**get_clusters_with_status_using_get**](docs/UiStackControllerApi.md#get_clusters_with_status_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/clustersWithStatus | getClustersWithStatus
*UiStackControllerApi* | [**get_local_deployment_context_using_get**](docs/UiStackControllerApi.md#get_local_deployment_context_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/localDeploymentContext | getLocalDeploymentContext
*UiStackControllerApi* | [**get_overrides_using_get2**](docs/UiStackControllerApi.md#get_overrides_using_get2) | **GET** /cc-ui/v1/stacks/{stackName}/resourceType/{resourceType}/resourceName/{resourceName}/overrides | getOverrides
*UiStackControllerApi* | [**get_resource_types_using_get**](docs/UiStackControllerApi.md#get_resource_types_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/suggestions/resourceType | getResourceTypes
*UiStackControllerApi* | [**get_resources_by_types_using_get**](docs/UiStackControllerApi.md#get_resources_by_types_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/suggestions/resourceType/{resourceType} | getResourcesByTypes
*UiStackControllerApi* | [**get_running_base_clusters_using_get**](docs/UiStackControllerApi.md#get_running_base_clusters_using_get) | **GET** /cc-ui/v1/stacks/running-base-clusters | getRunningBaseClusters
*UiStackControllerApi* | [**get_stack_templates_using_get**](docs/UiStackControllerApi.md#get_stack_templates_using_get) | **GET** /cc-ui/v1/stacks/templates | getStackTemplates
*UiStackControllerApi* | [**get_stack_using_get**](docs/UiStackControllerApi.md#get_stack_using_get) | **GET** /cc-ui/v1/stacks/{stackName} | getStack
*UiStackControllerApi* | [**get_stack_with_account_using_get**](docs/UiStackControllerApi.md#get_stack_with_account_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/withAccount | getStackWithAccount
*UiStackControllerApi* | [**get_stacks_using_get1**](docs/UiStackControllerApi.md#get_stacks_using_get1) | **GET** /cc-ui/v1/stacks/ | getStacks
*UiStackControllerApi* | [**migrate_overrides_to_git_using_get**](docs/UiStackControllerApi.md#migrate_overrides_to_git_using_get) | **GET** /cc-ui/v1/stacks/migrate-overrides | migrateOverridesToGit
*UiStackControllerApi* | [**migrate_overrides_to_git_v2_using_post**](docs/UiStackControllerApi.md#migrate_overrides_to_git_v2_using_post) | **POST** /cc-ui/v1/stacks/migrate-overrides-v2 | migrateOverridesToGitV2
*UiStackControllerApi* | [**reload_stack_using_get1**](docs/UiStackControllerApi.md#reload_stack_using_get1) | **GET** /cc-ui/v1/stacks/{stackName}/reload | reloadStack
*UiStackControllerApi* | [**save_as_template_using_post**](docs/UiStackControllerApi.md#save_as_template_using_post) | **POST** /cc-ui/v1/stacks/{stackName}/template | saveAsTemplate
*UiStackControllerApi* | [**save_as_template_v2_using_post**](docs/UiStackControllerApi.md#save_as_template_v2_using_post) | **POST** /cc-ui/v1/stacks/{stackName}/template-v2 | saveAsTemplateV2
*UiStackControllerApi* | [**stack_sync_with_git_using_get**](docs/UiStackControllerApi.md#stack_sync_with_git_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/sync-with-git/v2 | Sync stack with git
*UiStackControllerApi* | [**sync_resources_using_get**](docs/UiStackControllerApi.md#sync_resources_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/sync-resources | syncResources
*UiStackControllerApi* | [**sync_stack_with_git_using_get**](docs/UiStackControllerApi.md#sync_stack_with_git_using_get) | **GET** /cc-ui/v1/stacks/{stackName}/sync-with-git | syncStackWithGit
*UiStackControllerApi* | [**toggle_release_using_post1**](docs/UiStackControllerApi.md#toggle_release_using_post1) | **POST** /cc-ui/v1/stacks/{stackName}/toggleRelease | toggleRelease
*UiStackControllerApi* | [**update_stack_using_put1**](docs/UiStackControllerApi.md#update_stack_using_put1) | **PUT** /cc-ui/v1/stacks/{stackName} | updateStack
*UiTeamControllerApi* | [**add_team_members_using_post**](docs/UiTeamControllerApi.md#add_team_members_using_post) | **POST** /cc-ui/v1/teams/{teamId}/members | addTeamMembers
*UiTeamControllerApi* | [**get_team_members_using_get**](docs/UiTeamControllerApi.md#get_team_members_using_get) | **GET** /cc-ui/v1/teams/{teamId}/members | getTeamMembers
*UiTeamControllerApi* | [**get_team_using_get**](docs/UiTeamControllerApi.md#get_team_using_get) | **GET** /cc-ui/v1/teams/{teamId} | getTeam
*UiTeamControllerApi* | [**get_teams_using_get**](docs/UiTeamControllerApi.md#get_teams_using_get) | **GET** /cc-ui/v1/teams/ | getTeams
*UiTeamControllerApi* | [**upsert_team_using_post**](docs/UiTeamControllerApi.md#upsert_team_using_post) | **POST** /cc-ui/v1/teams/ | upsertTeam
*UiTfModuleControllerApi* | [**bootstrap_modules_using_post**](docs/UiTfModuleControllerApi.md#bootstrap_modules_using_post) | **POST** /cc-ui/v1/modules/bootstrap | Bootstrap Modules
*UiTfModuleControllerApi* | [**delete_tf_module_using_delete**](docs/UiTfModuleControllerApi.md#delete_tf_module_using_delete) | **DELETE** /cc-ui/v1/modules/{id} | Delete a Module
*UiTfModuleControllerApi* | [**download_module_by_id_using_get**](docs/UiTfModuleControllerApi.md#download_module_by_id_using_get) | **GET** /cc-ui/v1/modules/{id}/download | downloadModuleById
*UiTfModuleControllerApi* | [**download_module_by_version_id_using_get**](docs/UiTfModuleControllerApi.md#download_module_by_version_id_using_get) | **GET** /cc-ui/v1/modules/version/{versionId}/download | downloadModuleByVersionId
*UiTfModuleControllerApi* | [**get_all_modules_lite_using_get**](docs/UiTfModuleControllerApi.md#get_all_modules_lite_using_get) | **GET** /cc-ui/v1/modules/modules-lite | getAllModulesLite
*UiTfModuleControllerApi* | [**get_all_modules_using_get**](docs/UiTfModuleControllerApi.md#get_all_modules_using_get) | **GET** /cc-ui/v1/modules | getAllModules
*UiTfModuleControllerApi* | [**get_all_using_get4**](docs/UiTfModuleControllerApi.md#get_all_using_get4) | **GET** /cc-ui/v1/modules/all | Get All Modules
*UiTfModuleControllerApi* | [**get_by_id_using_get**](docs/UiTfModuleControllerApi.md#get_by_id_using_get) | **GET** /cc-ui/v1/modules/{id} | Get Module by ID
*UiTfModuleControllerApi* | [**get_grouped_modules_for_stack_using_get**](docs/UiTfModuleControllerApi.md#get_grouped_modules_for_stack_using_get) | **GET** /cc-ui/v1/modules/stack/{stackName}/grouped | Get Grouped Modules for Stack
*UiTfModuleControllerApi* | [**get_intent_add_on_modules_using_get**](docs/UiTfModuleControllerApi.md#get_intent_add_on_modules_using_get) | **GET** /cc-ui/v1/modules/intent/{intent}/flavor/{flavor}/add-ons | Get Add-On Modules
*UiTfModuleControllerApi* | [**get_module_for_ifv_and_stack_using_get**](docs/UiTfModuleControllerApi.md#get_module_for_ifv_and_stack_using_get) | **GET** /cc-ui/v1/modules/stack/{stackName}/{intent}/{flavor}/{version}/module | getModuleForIFVAndStack
*UiTfModuleControllerApi* | [**get_module_usages_using_get**](docs/UiTfModuleControllerApi.md#get_module_usages_using_get) | **GET** /cc-ui/v1/modules/{id}/usages | Get Module Usages
*UiTfModuleControllerApi* | [**mark_as_published_by_id_using_post**](docs/UiTfModuleControllerApi.md#mark_as_published_by_id_using_post) | **POST** /cc-ui/v1/modules/{id}/mark-published | Mark Module as Published
*UiTfModuleControllerApi* | [**mark_as_published_using_post**](docs/UiTfModuleControllerApi.md#mark_as_published_using_post) | **POST** /cc-ui/v1/modules/intent/{intent}/flavor/{flavor}/version/{version}/mark-published | Mark Module as Published
*UiTfModuleControllerApi* | [**upload_module_using_post**](docs/UiTfModuleControllerApi.md#upload_module_using_post) | **POST** /cc-ui/v1/modules/upload | Upload a module
*UiTfOutputControllerApi* | [**create_or_update_output_using_post**](docs/UiTfOutputControllerApi.md#create_or_update_output_using_post) | **POST** /cc-ui/v1/tf-outputs | createOrUpdateOutput
*UiTfOutputControllerApi* | [**delete_output_using_delete**](docs/UiTfOutputControllerApi.md#delete_output_using_delete) | **DELETE** /cc-ui/v1/tf-outputs/{name} | deleteOutput
*UiTfOutputControllerApi* | [**get_all_outputs_using_get**](docs/UiTfOutputControllerApi.md#get_all_outputs_using_get) | **GET** /cc-ui/v1/tf-outputs | getAllOutputs
*UiTfOutputControllerApi* | [**get_output_by_name_using_get**](docs/UiTfOutputControllerApi.md#get_output_by_name_using_get) | **GET** /cc-ui/v1/tf-outputs/{name} | getOutputByName
*UiTfOutputControllerApi* | [**get_outputs_by_provider_source_using_get**](docs/UiTfOutputControllerApi.md#get_outputs_by_provider_source_using_get) | **GET** /cc-ui/v1/tf-outputs/provider | Get all outputs that use a specific provider source
*UiTfVersionControllerApi* | [**delete_tf_stream_for_cluster_using_delete**](docs/UiTfVersionControllerApi.md#delete_tf_stream_for_cluster_using_delete) | **DELETE** /cc-ui/v1/terraform/cluster/{clusterId} | deleteTfStreamForCluster
*UiTfVersionControllerApi* | [**get_all_versions_using_get**](docs/UiTfVersionControllerApi.md#get_all_versions_using_get) | **GET** /cc-ui/v1/terraform/versions | getAllVersions
*UiTfVersionControllerApi* | [**get_pending_migration_scripts_by_cluster_id_using_get**](docs/UiTfVersionControllerApi.md#get_pending_migration_scripts_by_cluster_id_using_get) | **GET** /cc-ui/v1/terraform/cluster/{clusterId}/pending-migration-scripts | getPendingMigrationScriptsByClusterId
*UiTfVersionControllerApi* | [**get_tf_stream_for_cluster_using_get**](docs/UiTfVersionControllerApi.md#get_tf_stream_for_cluster_using_get) | **GET** /cc-ui/v1/terraform/cluster/{clusterId} | getTfStreamForCluster
*UiTfVersionControllerApi* | [**get_tf_versions_for_stream_using_get**](docs/UiTfVersionControllerApi.md#get_tf_versions_for_stream_using_get) | **GET** /cc-ui/v1/terraform/stream/{tfStream}/versions | getTfVersionsForStream
*UiTfVersionControllerApi* | [**populate_release_stream_tf_version_mapping_using_post**](docs/UiTfVersionControllerApi.md#populate_release_stream_tf_version_mapping_using_post) | **POST** /cc-ui/v1/terraform/sync-release-stream-mapping | populateReleaseStreamTfVersionMapping
*UiTfVersionControllerApi* | [**set_tf_version_for_cluster_using_put**](docs/UiTfVersionControllerApi.md#set_tf_version_for_cluster_using_put) | **PUT** /cc-ui/v1/terraform/cluster/{clusterId} | setTfVersionForCluster
*UiThemeFileControllerApi* | [**save_theme_file_using_post**](docs/UiThemeFileControllerApi.md#save_theme_file_using_post) | **POST** /cc-ui/v1/themeFile | saveThemeFile
*UiUserControllerApi* | [**analyze_access_using_get**](docs/UiUserControllerApi.md#analyze_access_using_get) | **GET** /cc-ui/v1/users/analyze-access | analyzeAccess
*UiUserControllerApi* | [**create_token_using_post**](docs/UiUserControllerApi.md#create_token_using_post) | **POST** /cc-ui/v1/users/createAccessToken | createToken
*UiUserControllerApi* | [**delete_all_logged_in_users_using_delete**](docs/UiUserControllerApi.md#delete_all_logged_in_users_using_delete) | **DELETE** /cc-ui/v1/users/loggedIn/session | deleteALlLoggedInUsers
*UiUserControllerApi* | [**delete_token_using_delete**](docs/UiUserControllerApi.md#delete_token_using_delete) | **DELETE** /cc-ui/v1/users/tokens/{tokenId} | deleteToken
*UiUserControllerApi* | [**delete_user_using_delete**](docs/UiUserControllerApi.md#delete_user_using_delete) | **DELETE** /cc-ui/v1/users/{userId} | deleteUser
*UiUserControllerApi* | [**get_all_logged_in_users_using_get**](docs/UiUserControllerApi.md#get_all_logged_in_users_using_get) | **GET** /cc-ui/v1/users/loggedIn | getALlLoggedInUsers
*UiUserControllerApi* | [**get_all_system_roles_using_get**](docs/UiUserControllerApi.md#get_all_system_roles_using_get) | **GET** /cc-ui/v1/users/roles | getAllSystemRoles
*UiUserControllerApi* | [**get_all_users_expanded_using_get**](docs/UiUserControllerApi.md#get_all_users_expanded_using_get) | **GET** /cc-ui/v1/users/list/users-expanded | getAllUsersExpanded
*UiUserControllerApi* | [**get_all_users_using_get**](docs/UiUserControllerApi.md#get_all_users_using_get) | **GET** /cc-ui/v1/users/ | getAllUsers
*UiUserControllerApi* | [**get_current_user_using_get**](docs/UiUserControllerApi.md#get_current_user_using_get) | **GET** /cc-ui/v1/users/current-user | getCurrentUser
*UiUserControllerApi* | [**get_token_using_get**](docs/UiUserControllerApi.md#get_token_using_get) | **GET** /cc-ui/v1/users/tokens | getToken
*UiUserControllerApi* | [**get_user_expanded_using_get**](docs/UiUserControllerApi.md#get_user_expanded_using_get) | **GET** /cc-ui/v1/users/{userId}/user-expanded | getUserExpanded
*UiUserControllerApi* | [**get_user_using_get**](docs/UiUserControllerApi.md#get_user_using_get) | **GET** /cc-ui/v1/users/{userId} | getUser
*UiUserControllerApi* | [**invite_users_using_post**](docs/UiUserControllerApi.md#invite_users_using_post) | **POST** /cc-ui/v1/users/invite-users | inviteUsers
*UiUserControllerApi* | [**update_password_using_post**](docs/UiUserControllerApi.md#update_password_using_post) | **POST** /cc-ui/v1/users/updatePassword | updatePassword
*UiUserGroupControllerApi* | [**create_user_group_using_post**](docs/UiUserGroupControllerApi.md#create_user_group_using_post) | **POST** /cc-ui/v1/user-groups/ | createUserGroup
*UiUserGroupControllerApi* | [**delete_user_group_using_delete**](docs/UiUserGroupControllerApi.md#delete_user_group_using_delete) | **DELETE** /cc-ui/v1/user-groups/{groupId} | deleteUserGroup
*UiUserGroupControllerApi* | [**get_all_group_using_get**](docs/UiUserGroupControllerApi.md#get_all_group_using_get) | **GET** /cc-ui/v1/user-groups/ | getAllGroup
*UiUserGroupControllerApi* | [**get_all_user_groups_expanded_using_get**](docs/UiUserGroupControllerApi.md#get_all_user_groups_expanded_using_get) | **GET** /cc-ui/v1/user-groups/list/groups-expanded | getAllUserGroupsExpanded
*UiUserGroupControllerApi* | [**get_user_group_expanded_using_get**](docs/UiUserGroupControllerApi.md#get_user_group_expanded_using_get) | **GET** /cc-ui/v1/user-groups/{groupId}/group-expanded | getUserGroupExpanded
*UiUserGroupControllerApi* | [**get_user_group_using_get**](docs/UiUserGroupControllerApi.md#get_user_group_using_get) | **GET** /cc-ui/v1/user-groups/{groupId} | getUserGroup
*UiUserGroupControllerApi* | [**update_user_group_using_put**](docs/UiUserGroupControllerApi.md#update_user_group_using_put) | **PUT** /cc-ui/v1/user-groups/ | updateUserGroup
*UiUserVcsTokenControllerApi* | [**add_using_post1**](docs/UiUserVcsTokenControllerApi.md#add_using_post1) | **POST** /cc-ui/v1/user-token | add
*UiUserVcsTokenControllerApi* | [**delete_using_delete2**](docs/UiUserVcsTokenControllerApi.md#delete_using_delete2) | **DELETE** /cc-ui/v1/user-token/{id} | delete
*UiUserVcsTokenControllerApi* | [**get_all_using_get5**](docs/UiUserVcsTokenControllerApi.md#get_all_using_get5) | **GET** /cc-ui/v1/user-token | getAll
*UiUserVcsTokenControllerApi* | [**update_using_put2**](docs/UiUserVcsTokenControllerApi.md#update_using_put2) | **PUT** /cc-ui/v1/user-token | update
*UiVersioningControllerApi* | [**delete_all_soft_delete_entities_using_delete**](docs/UiVersioningControllerApi.md#delete_all_soft_delete_entities_using_delete) | **DELETE** /cc-ui/v1/versions/softDeletedEntities/all | deleteAllSoftDeleteEntities
*UiVersioningControllerApi* | [**delete_soft_delete_entity_using_delete**](docs/UiVersioningControllerApi.md#delete_soft_delete_entity_using_delete) | **DELETE** /cc-ui/v1/versions/softDeletedEntities | deleteSoftDeleteEntity
*UiVersioningControllerApi* | [**get_version_by_id_using_get**](docs/UiVersioningControllerApi.md#get_version_by_id_using_get) | **GET** /cc-ui/v1/versions/id/{id} | getVersionById
*UiVersioningControllerApi* | [**get_versions_paginated_using_get**](docs/UiVersioningControllerApi.md#get_versions_paginated_using_get) | **GET** /cc-ui/v1/versions/{versioningKey}/paginated | getVersionsPaginated
*UiVersioningControllerApi* | [**get_versions_using_get**](docs/UiVersioningControllerApi.md#get_versions_using_get) | **GET** /cc-ui/v1/versions/{versioningKey} | getVersions
*UiVersioningControllerApi* | [**restore_soft_delete_using_post**](docs/UiVersioningControllerApi.md#restore_soft_delete_using_post) | **POST** /cc-ui/v1/versions/softDeletedEntities/{entityId} | restoreSoftDelete
*UiVersioningControllerApi* | [**restore_using_post**](docs/UiVersioningControllerApi.md#restore_using_post) | **POST** /cc-ui/v1/versions/{versionId}/restore | restore
*UiVersioningControllerApi* | [**soft_deleted_entities_by_type_using_get**](docs/UiVersioningControllerApi.md#soft_deleted_entities_by_type_using_get) | **GET** /cc-ui/v1/versions/softDeletedEntities/{entityType} | softDeletedEntitiesByType
*UiVersioningControllerApi* | [**soft_deleted_entities_using_get**](docs/UiVersioningControllerApi.md#soft_deleted_entities_using_get) | **GET** /cc-ui/v1/versions/softDeletedEntities | softDeletedEntities
*UiWebComponentControllerApi* | [**create_component_using_post**](docs/UiWebComponentControllerApi.md#create_component_using_post) | **POST** /cc-ui/v1/web-components | createComponent
*UiWebComponentControllerApi* | [**delete_component_using_delete**](docs/UiWebComponentControllerApi.md#delete_component_using_delete) | **DELETE** /cc-ui/v1/web-components/{webComponentId} | deleteComponent
*UiWebComponentControllerApi* | [**get_all_components_using_get**](docs/UiWebComponentControllerApi.md#get_all_components_using_get) | **GET** /cc-ui/v1/web-components | getAllComponents
*UiWebComponentControllerApi* | [**get_component_using_get**](docs/UiWebComponentControllerApi.md#get_component_using_get) | **GET** /cc-ui/v1/web-components/{webComponentId} | getComponent
*UiWebComponentControllerApi* | [**update_component_using_put**](docs/UiWebComponentControllerApi.md#update_component_using_put) | **PUT** /cc-ui/v1/web-components/{webComponentId} | updateComponent

## Documentation For Models

 - [AWSElasticBlockStoreVolumeSource](docs/AWSElasticBlockStoreVolumeSource.md)
 - [AbstractCluster](docs/AbstractCluster.md)
 - [AccessAnalyzerResponse](docs/AccessAnalyzerResponse.md)
 - [AccessRoleDetails](docs/AccessRoleDetails.md)
 - [Account](docs/Account.md)
 - [AccountAssociationInfo](docs/AccountAssociationInfo.md)
 - [ActionExecution](docs/ActionExecution.md)
 - [AddOnDTO](docs/AddOnDTO.md)
 - [AffectedResource](docs/AffectedResource.md)
 - [AffectedResourcesRequest](docs/AffectedResourcesRequest.md)
 - [Affinity](docs/Affinity.md)
 - [Alert](docs/Alert.md)
 - [AlertGroup](docs/AlertGroup.md)
 - [AlertOverview](docs/AlertOverview.md)
 - [Alerting](docs/Alerting.md)
 - [AllRegionsAndAZ](docs/AllRegionsAndAZ.md)
 - [AppDeployment](docs/AppDeployment.md)
 - [Application](docs/Application.md)
 - [ApplicationAction](docs/ApplicationAction.md)
 - [ApplicationDeploymentDetails](docs/ApplicationDeploymentDetails.md)
 - [ApplicationFamilyMetadata](docs/ApplicationFamilyMetadata.md)
 - [ApplicationMetrics](docs/ApplicationMetrics.md)
 - [ApplicationMetricsWrapper](docs/ApplicationMetricsWrapper.md)
 - [ApplicationPodDetails](docs/ApplicationPodDetails.md)
 - [ApplicationSecret](docs/ApplicationSecret.md)
 - [ApplicationSecretRequest](docs/ApplicationSecretRequest.md)
 - [ApplicationServiceDetails](docs/ApplicationServiceDetails.md)
 - [Artifact](docs/Artifact.md)
 - [ArtifactByEnvironmentRequest](docs/ArtifactByEnvironmentRequest.md)
 - [ArtifactByReleaseStreamRequest](docs/ArtifactByReleaseStreamRequest.md)
 - [ArtifactCI](docs/ArtifactCI.md)
 - [ArtifactRequest](docs/ArtifactRequest.md)
 - [ArtifactRoutingRuleRequest](docs/ArtifactRoutingRuleRequest.md)
 - [ArtifactRoutingRuleResponse](docs/ArtifactRoutingRuleResponse.md)
 - [Artifactory](docs/Artifactory.md)
 - [ArtifactoryLinkingRequest](docs/ArtifactoryLinkingRequest.md)
 - [ArtifactoryMirror](docs/ArtifactoryMirror.md)
 - [ArtifactsUploadBody](docs/ArtifactsUploadBody.md)
 - [Assistant](docs/Assistant.md)
 - [AssistantMessage](docs/AssistantMessage.md)
 - [AssistantRequest](docs/AssistantRequest.md)
 - [AssistantResponse](docs/AssistantResponse.md)
 - [AttachDetachCiRequest](docs/AttachDetachCiRequest.md)
 - [AutocompleteResponse](docs/AutocompleteResponse.md)
 - [AutocompleteResponseV2](docs/AutocompleteResponseV2.md)
 - [AvailabilitySchedule](docs/AvailabilitySchedule.md)
 - [AvailabilityTaskSchedule](docs/AvailabilityTaskSchedule.md)
 - [AwsAccount](docs/AwsAccount.md)
 - [AwsCluster](docs/AwsCluster.md)
 - [AwsClusterRequest](docs/AwsClusterRequest.md)
 - [AzureAccount](docs/AzureAccount.md)
 - [AzureCluster](docs/AzureCluster.md)
 - [AzureClusterRequest](docs/AzureClusterRequest.md)
 - [AzureDiskVolumeSource](docs/AzureDiskVolumeSource.md)
 - [AzureFileVolumeSource](docs/AzureFileVolumeSource.md)
 - [BasicDockerArtifactory](docs/BasicDockerArtifactory.md)
 - [BasicDockerDTO](docs/BasicDockerDTO.md)
 - [BillingMetadata](docs/BillingMetadata.md)
 - [BitBucketAccount](docs/BitBucketAccount.md)
 - [BitbucketOauthAppPayload](docs/BitbucketOauthAppPayload.md)
 - [BitbucketPRBranchRef](docs/BitbucketPRBranchRef.md)
 - [BitbucketPREvent](docs/BitbucketPREvent.md)
 - [BitbucketPRField](docs/BitbucketPRField.md)
 - [BitbucketPRLinks](docs/BitbucketPRLinks.md)
 - [BlueprintFile](docs/BlueprintFile.md)
 - [BlueprintFileSummaryDto](docs/BlueprintFileSummaryDto.md)
 - [BlueprintValidationError](docs/BlueprintValidationError.md)
 - [Branch](docs/Branch.md)
 - [BranchDTO](docs/BranchDTO.md)
 - [BranchUpdateRequest](docs/BranchUpdateRequest.md)
 - [Build](docs/Build.md)
 - [BulkWorkflowAttachRequest](docs/BulkWorkflowAttachRequest.md)
 - [CSIVolumeSource](docs/CSIVolumeSource.md)
 - [CallbackBody](docs/CallbackBody.md)
 - [Capabilities](docs/Capabilities.md)
 - [Category](docs/Category.md)
 - [CephFSVolumeSource](docs/CephFSVolumeSource.md)
 - [Change](docs/Change.md)
 - [ChangeRepresentation](docs/ChangeRepresentation.md)
 - [ChangedAttribute](docs/ChangedAttribute.md)
 - [ChannelTypePayload](docs/ChannelTypePayload.md)
 - [Chat](docs/Chat.md)
 - [ChatContext](docs/ChatContext.md)
 - [ChatMessage](docs/ChatMessage.md)
 - [ChatRequest](docs/ChatRequest.md)
 - [ChatStarterMetadata](docs/ChatStarterMetadata.md)
 - [CiArtifactResponse](docs/CiArtifactResponse.md)
 - [CiCdDto](docs/CiCdDto.md)
 - [CinderVolumeSource](docs/CinderVolumeSource.md)
 - [ClaimSource](docs/ClaimSource.md)
 - [ClientAuthenticationMethod](docs/ClientAuthenticationMethod.md)
 - [CloudLinkingRequest](docs/CloudLinkingRequest.md)
 - [ClusterAutoscalerConfiguration](docs/ClusterAutoscalerConfiguration.md)
 - [ClusterCostDTO](docs/ClusterCostDTO.md)
 - [ClusterFiringAlertsDTO](docs/ClusterFiringAlertsDTO.md)
 - [ClusterInfo](docs/ClusterInfo.md)
 - [ClusterLite](docs/ClusterLite.md)
 - [ClusterMetadata](docs/ClusterMetadata.md)
 - [ClusterOverrideResponse](docs/ClusterOverrideResponse.md)
 - [ClusterOverview](docs/ClusterOverview.md)
 - [ClusterResourcesResponse](docs/ClusterResourcesResponse.md)
 - [ClusterResourcesResponseFacetsResource](docs/ClusterResourcesResponseFacetsResource.md)
 - [ClusterResponse](docs/ClusterResponse.md)
 - [ClusterSchedule](docs/ClusterSchedule.md)
 - [ClusterTfVersionMapping](docs/ClusterTfVersionMapping.md)
 - [CodeBuildStatusCallback](docs/CodeBuildStatusCallback.md)
 - [CoderAccount](docs/CoderAccount.md)
 - [CoderLaunchEligibilityResponse](docs/CoderLaunchEligibilityResponse.md)
 - [CoderWorkspaceResponse](docs/CoderWorkspaceResponse.md)
 - [Commit](docs/Commit.md)
 - [CommitLog](docs/CommitLog.md)
 - [Condition](docs/Condition.md)
 - [Config](docs/Config.md)
 - [ConfigMapDTO](docs/ConfigMapDTO.md)
 - [ConfigMapEnvSource](docs/ConfigMapEnvSource.md)
 - [ConfigMapKeySelector](docs/ConfigMapKeySelector.md)
 - [ConfigMapProjection](docs/ConfigMapProjection.md)
 - [ConfigMapVolumeSource](docs/ConfigMapVolumeSource.md)
 - [Container](docs/Container.md)
 - [ContainerDTO](docs/ContainerDTO.md)
 - [ContainerPort](docs/ContainerPort.md)
 - [ContainerResourceMetricSource](docs/ContainerResourceMetricSource.md)
 - [ContainerResourceMetricStatus](docs/ContainerResourceMetricStatus.md)
 - [ContainerState](docs/ContainerState.md)
 - [ContainerStateRunning](docs/ContainerStateRunning.md)
 - [ContainerStateTerminated](docs/ContainerStateTerminated.md)
 - [ContainerStateWaiting](docs/ContainerStateWaiting.md)
 - [ContainerStatus](docs/ContainerStatus.md)
 - [ContentFile](docs/ContentFile.md)
 - [CopyConfigurationsRequest](docs/CopyConfigurationsRequest.md)
 - [CostDTO](docs/CostDTO.md)
 - [CreateBlueprintRequest](docs/CreateBlueprintRequest.md)
 - [CreateChatRequest](docs/CreateChatRequest.md)
 - [CreateProjectRequest](docs/CreateProjectRequest.md)
 - [CreateTemplateRequest](docs/CreateTemplateRequest.md)
 - [CreateWorkspaceExistingBranchRequest](docs/CreateWorkspaceExistingBranchRequest.md)
 - [CreateWorkspaceNewBranchRequest](docs/CreateWorkspaceNewBranchRequest.md)
 - [Criterion](docs/Criterion.md)
 - [CronJobDTO](docs/CronJobDTO.md)
 - [CrossVersionObjectReference](docs/CrossVersionObjectReference.md)
 - [CustomOAuth2ClientRegistration](docs/CustomOAuth2ClientRegistration.md)
 - [CustomRoleRequest](docs/CustomRoleRequest.md)
 - [CustomerOnboardRequest](docs/CustomerOnboardRequest.md)
 - [DRResult](docs/DRResult.md)
 - [DaemonSetDTO](docs/DaemonSetDTO.md)
 - [DailyCloudCostDTO](docs/DailyCloudCostDTO.md)
 - [DailyCost](docs/DailyCost.md)
 - [DeferredResultAssistantResponse](docs/DeferredResultAssistantResponse.md)
 - [DeletedEntity](docs/DeletedEntity.md)
 - [Deployment](docs/Deployment.md)
 - [DeploymentContext](docs/DeploymentContext.md)
 - [DeploymentDTO](docs/DeploymentDTO.md)
 - [DeploymentLog](docs/DeploymentLog.md)
 - [DeploymentOverview](docs/DeploymentOverview.md)
 - [DeploymentRequest](docs/DeploymentRequest.md)
 - [DeploymentStatsDto](docs/DeploymentStatsDto.md)
 - [DeploymentStatusCountDto](docs/DeploymentStatusCountDto.md)
 - [DeploymentStatusDetails](docs/DeploymentStatusDetails.md)
 - [DeploymentsStats](docs/DeploymentsStats.md)
 - [DomainDTO](docs/DomainDTO.md)
 - [DownwardAPIProjection](docs/DownwardAPIProjection.md)
 - [DownwardAPIVolumeFile](docs/DownwardAPIVolumeFile.md)
 - [DownwardAPIVolumeSource](docs/DownwardAPIVolumeSource.md)
 - [DraftClusterRequest](docs/DraftClusterRequest.md)
 - [ECRArtifactory](docs/ECRArtifactory.md)
 - [ECRAuthorizationData](docs/ECRAuthorizationData.md)
 - [ECRRegistry](docs/ECRRegistry.md)
 - [Edge](docs/Edge.md)
 - [EmptyDirVolumeSource](docs/EmptyDirVolumeSource.md)
 - [EnableDisableOPAPolicy](docs/EnableDisableOPAPolicy.md)
 - [EnableGitOpsRequest](docs/EnableGitOpsRequest.md)
 - [Endpoint](docs/Endpoint.md)
 - [EnvFromSource](docs/EnvFromSource.md)
 - [EnvInfo](docs/EnvInfo.md)
 - [EnvSpecificAccess](docs/EnvSpecificAccess.md)
 - [EnvVar](docs/EnvVar.md)
 - [EnvVarSource](docs/EnvVarSource.md)
 - [Environment](docs/Environment.md)
 - [EnvironmentConfiguration](docs/EnvironmentConfiguration.md)
 - [EnvironmentMetaData](docs/EnvironmentMetaData.md)
 - [EnvironmentVariable](docs/EnvironmentVariable.md)
 - [EphemeralContainer](docs/EphemeralContainer.md)
 - [EphemeralVolumeSource](docs/EphemeralVolumeSource.md)
 - [Error](docs/Error.md)
 - [Event](docs/Event.md)
 - [EventDTO](docs/EventDTO.md)
 - [EventSeries](docs/EventSeries.md)
 - [EventSource](docs/EventSource.md)
 - [ExecAction](docs/ExecAction.md)
 - [ExecutionTime](docs/ExecutionTime.md)
 - [ExpandedUser](docs/ExpandedUser.md)
 - [ExpandedUserGroup](docs/ExpandedUserGroup.md)
 - [ExternalDnsConfiguration](docs/ExternalDnsConfiguration.md)
 - [ExternalMetricSource](docs/ExternalMetricSource.md)
 - [ExternalMetricStatus](docs/ExternalMetricStatus.md)
 - [FCVolumeSource](docs/FCVolumeSource.md)
 - [FacetsAuditLogResponse](docs/FacetsAuditLogResponse.md)
 - [FacetsResource](docs/FacetsResource.md)
 - [FieldsV1](docs/FieldsV1.md)
 - [File](docs/File.md)
 - [FlexVolumeSource](docs/FlexVolumeSource.md)
 - [FlockerVolumeSource](docs/FlockerVolumeSource.md)
 - [GCEPersistentDiskVolumeSource](docs/GCEPersistentDiskVolumeSource.md)
 - [GCPCluster](docs/GCPCluster.md)
 - [GCPClusterRequest](docs/GCPClusterRequest.md)
 - [GRPCAction](docs/GRPCAction.md)
 - [GcpAccount](docs/GcpAccount.md)
 - [GenericOAuth2ClientRegistration](docs/GenericOAuth2ClientRegistration.md)
 - [GetProvidedResourcesResponse](docs/GetProvidedResourcesResponse.md)
 - [GitHubAccount](docs/GitHubAccount.md)
 - [GitLabAccount](docs/GitLabAccount.md)
 - [GitRepoVolumeSource](docs/GitRepoVolumeSource.md)
 - [GithubAppInstallationPayload](docs/GithubAppInstallationPayload.md)
 - [GithubAppInstallationRequest](docs/GithubAppInstallationRequest.md)
 - [GithubAppInstallationRequestResponse](docs/GithubAppInstallationRequestResponse.md)
 - [GithubLabel](docs/GithubLabel.md)
 - [GithubPRBranchRef](docs/GithubPRBranchRef.md)
 - [GithubPREvent](docs/GithubPREvent.md)
 - [GithubPRField](docs/GithubPRField.md)
 - [GithubUser](docs/GithubUser.md)
 - [GitlabOauthAppPayload](docs/GitlabOauthAppPayload.md)
 - [GlobalStats](docs/GlobalStats.md)
 - [GlusterfsVolumeSource](docs/GlusterfsVolumeSource.md)
 - [GrantedAuthority](docs/GrantedAuthority.md)
 - [GroupedCountDto](docs/GroupedCountDto.md)
 - [HPA](docs/HPA.md)
 - [HPADetails](docs/HPADetails.md)
 - [HPAScalingPolicy](docs/HPAScalingPolicy.md)
 - [HPAScalingRules](docs/HPAScalingRules.md)
 - [HTTPGetAction](docs/HTTPGetAction.md)
 - [HTTPHeader](docs/HTTPHeader.md)
 - [HTTPIngressPath](docs/HTTPIngressPath.md)
 - [HTTPIngressRuleValue](docs/HTTPIngressRuleValue.md)
 - [HealthCheck](docs/HealthCheck.md)
 - [HistoryMetadata](docs/HistoryMetadata.md)
 - [HorizontalPodAutoscaler](docs/HorizontalPodAutoscaler.md)
 - [HorizontalPodAutoscalerBehavior](docs/HorizontalPodAutoscalerBehavior.md)
 - [HorizontalPodAutoscalerCondition](docs/HorizontalPodAutoscalerCondition.md)
 - [HorizontalPodAutoscalerDTO](docs/HorizontalPodAutoscalerDTO.md)
 - [HorizontalPodAutoscalerSpec](docs/HorizontalPodAutoscalerSpec.md)
 - [HorizontalPodAutoscalerStatus](docs/HorizontalPodAutoscalerStatus.md)
 - [HostAlias](docs/HostAlias.md)
 - [HostPathVolumeSource](docs/HostPathVolumeSource.md)
 - [HotfixDeploymentRecipe](docs/HotfixDeploymentRecipe.md)
 - [ISCSIVolumeSource](docs/ISCSIVolumeSource.md)
 - [IacRepo](docs/IacRepo.md)
 - [IdName](docs/IdName.md)
 - [ImageOverrideRequest](docs/ImageOverrideRequest.md)
 - [Info](docs/Info.md)
 - [Ingress](docs/Ingress.md)
 - [IngressBackend](docs/IngressBackend.md)
 - [IngressBackendDTO](docs/IngressBackendDTO.md)
 - [IngressDTO](docs/IngressDTO.md)
 - [IngressLoadBalancerIngress](docs/IngressLoadBalancerIngress.md)
 - [IngressLoadBalancerStatus](docs/IngressLoadBalancerStatus.md)
 - [IngressPortStatus](docs/IngressPortStatus.md)
 - [IngressRule](docs/IngressRule.md)
 - [IngressRulesDTO](docs/IngressRulesDTO.md)
 - [IngressServiceBackend](docs/IngressServiceBackend.md)
 - [IngressSpec](docs/IngressSpec.md)
 - [IngressStatus](docs/IngressStatus.md)
 - [IngressTLS](docs/IngressTLS.md)
 - [Input](docs/Input.md)
 - [InputOutputResource](docs/InputOutputResource.md)
 - [InputStream](docs/InputStream.md)
 - [InputStreamResource](docs/InputStreamResource.md)
 - [IntOrString](docs/IntOrString.md)
 - [IntentOutput](docs/IntentOutput.md)
 - [IntentRequestDTO](docs/IntentRequestDTO.md)
 - [IntentResponseDTO](docs/IntentResponseDTO.md)
 - [InviteUserRequest](docs/InviteUserRequest.md)
 - [JSONObject](docs/JSONObject.md)
 - [JobDTO](docs/JobDTO.md)
 - [JsonNode](docs/JsonNode.md)
 - [K8sAnalyzeResponse](docs/K8sAnalyzeResponse.md)
 - [K8sCredentials](docs/K8sCredentials.md)
 - [K8sLoggingConfiguration](docs/K8sLoggingConfiguration.md)
 - [KeyToPath](docs/KeyToPath.md)
 - [Kube2IamConfiguration](docs/Kube2IamConfiguration.md)
 - [KubernetesAccount](docs/KubernetesAccount.md)
 - [KubernetesCluster](docs/KubernetesCluster.md)
 - [KubernetesClusterRequest](docs/KubernetesClusterRequest.md)
 - [KubernetesCredential](docs/KubernetesCredential.md)
 - [LabelSelector](docs/LabelSelector.md)
 - [LabelSelectorRequirement](docs/LabelSelectorRequirement.md)
 - [Lifecycle](docs/Lifecycle.md)
 - [LifecycleHandler](docs/LifecycleHandler.md)
 - [ListDeploymentsWrapper](docs/ListDeploymentsWrapper.md)
 - [ListPullRequestResponse](docs/ListPullRequestResponse.md)
 - [ListResourcesResponse](docs/ListResourcesResponse.md)
 - [ListWorkflowRunsResponse](docs/ListWorkflowRunsResponse.md)
 - [LocalCluster](docs/LocalCluster.md)
 - [LocalClusterRequest](docs/LocalClusterRequest.md)
 - [LocalObjectReference](docs/LocalObjectReference.md)
 - [LocalTime](docs/LocalTime.md)
 - [LogEvent](docs/LogEvent.md)
 - [MaintenanceWindowDTO](docs/MaintenanceWindowDTO.md)
 - [ManagedFieldsEntry](docs/ManagedFieldsEntry.md)
 - [MapstringArtifact](docs/MapstringArtifact.md)
 - [MapstringJsonNode](docs/MapstringJsonNode.md)
 - [MapstringSnapshotInfo](docs/MapstringSnapshotInfo.md)
 - [MapstringTFModuleLiteListDTO](docs/MapstringTFModuleLiteListDTO.md)
 - [Mapstringobject](docs/Mapstringobject.md)
 - [MatchedModuleDTO](docs/MatchedModuleDTO.md)
 - [MatchedResourceDTO](docs/MatchedResourceDTO.md)
 - [Metric](docs/Metric.md)
 - [MetricIdentifier](docs/MetricIdentifier.md)
 - [MetricSpec](docs/MetricSpec.md)
 - [MetricStatus](docs/MetricStatus.md)
 - [MetricTarget](docs/MetricTarget.md)
 - [MetricValueStatus](docs/MetricValueStatus.md)
 - [MicroTime](docs/MicroTime.md)
 - [MigrateOverridesRequest](docs/MigrateOverridesRequest.md)
 - [MigrationScriptMetadata](docs/MigrationScriptMetadata.md)
 - [ModuleDTO](docs/ModuleDTO.md)
 - [ModuleInputDTO](docs/ModuleInputDTO.md)
 - [ModuleMetadata](docs/ModuleMetadata.md)
 - [ModuleUsageDTO](docs/ModuleUsageDTO.md)
 - [ModulesUploadBody](docs/ModulesUploadBody.md)
 - [Monitoring](docs/Monitoring.md)
 - [NFSVolumeSource](docs/NFSVolumeSource.md)
 - [NodeAffinity](docs/NodeAffinity.md)
 - [NodeSelector](docs/NodeSelector.md)
 - [NodeSelectorRequirement](docs/NodeSelectorRequirement.md)
 - [NodeSelectorTerm](docs/NodeSelectorTerm.md)
 - [NotificationChannel](docs/NotificationChannel.md)
 - [NotificationTagPayload](docs/NotificationTagPayload.md)
 - [NotificationTagsForTypeResult](docs/NotificationTagsForTypeResult.md)
 - [NotificationTypeResponse](docs/NotificationTypeResponse.md)
 - [ObjectFieldSelector](docs/ObjectFieldSelector.md)
 - [ObjectMeta](docs/ObjectMeta.md)
 - [ObjectMetricSource](docs/ObjectMetricSource.md)
 - [ObjectMetricStatus](docs/ObjectMetricStatus.md)
 - [ObjectReference](docs/ObjectReference.md)
 - [OneTimePayloadAwsAccount](docs/OneTimePayloadAwsAccount.md)
 - [OneTimePayloadAzureAccount](docs/OneTimePayloadAzureAccount.md)
 - [OneTimePayloadBasicDockerDTO](docs/OneTimePayloadBasicDockerDTO.md)
 - [OneTimePayloadBitbucketOauthAppPayload](docs/OneTimePayloadBitbucketOauthAppPayload.md)
 - [OneTimePayloadECRArtifactory](docs/OneTimePayloadECRArtifactory.md)
 - [OneTimePayloadGcpAccount](docs/OneTimePayloadGcpAccount.md)
 - [OneTimePayloadGithubAppInstallationPayload](docs/OneTimePayloadGithubAppInstallationPayload.md)
 - [OneTimePayloadGitlabOauthAppPayload](docs/OneTimePayloadGitlabOauthAppPayload.md)
 - [OneTimePayloadKubernetesAccount](docs/OneTimePayloadKubernetesAccount.md)
 - [OneTimeWebhook](docs/OneTimeWebhook.md)
 - [OpaPolicy](docs/OpaPolicy.md)
 - [OpaPolicyExecutionResult](docs/OpaPolicyExecutionResult.md)
 - [OpaPolicyRequest](docs/OpaPolicyRequest.md)
 - [OtherVersion](docs/OtherVersion.md)
 - [OutputReference](docs/OutputReference.md)
 - [OverrideConfig](docs/OverrideConfig.md)
 - [OverrideObject](docs/OverrideObject.md)
 - [OverrideRequest](docs/OverrideRequest.md)
 - [OwnerReference](docs/OwnerReference.md)
 - [PVC](docs/PVC.md)
 - [Package](docs/Package.md)
 - [PackageResponse](docs/PackageResponse.md)
 - [PageAbstractCluster](docs/PageAbstractCluster.md)
 - [PageChat](docs/PageChat.md)
 - [PageDeploymentLog](docs/PageDeploymentLog.md)
 - [PageFacetsAuditLogResponse](docs/PageFacetsAuditLogResponse.md)
 - [PageResourceReleaseImpact](docs/PageResourceReleaseImpact.md)
 - [PageVersion](docs/PageVersion.md)
 - [Pageable](docs/Pageable.md)
 - [PasswordChange](docs/PasswordChange.md)
 - [PauseReleaseRequest](docs/PauseReleaseRequest.md)
 - [PendingMigrationDetails](docs/PendingMigrationDetails.md)
 - [PersistentVolumeClaimDTO](docs/PersistentVolumeClaimDTO.md)
 - [PersistentVolumeClaimSpec](docs/PersistentVolumeClaimSpec.md)
 - [PersistentVolumeClaimTemplate](docs/PersistentVolumeClaimTemplate.md)
 - [PersistentVolumeClaimVolumeSource](docs/PersistentVolumeClaimVolumeSource.md)
 - [PersistentVolumeDTO](docs/PersistentVolumeDTO.md)
 - [PhotonPersistentDiskVolumeSource](docs/PhotonPersistentDiskVolumeSource.md)
 - [PipelineNode](docs/PipelineNode.md)
 - [Pod](docs/Pod.md)
 - [PodAffinity](docs/PodAffinity.md)
 - [PodAffinityTerm](docs/PodAffinityTerm.md)
 - [PodAntiAffinity](docs/PodAntiAffinity.md)
 - [PodCondition](docs/PodCondition.md)
 - [PodDNSConfig](docs/PodDNSConfig.md)
 - [PodDNSConfigOption](docs/PodDNSConfigOption.md)
 - [PodDTO](docs/PodDTO.md)
 - [PodIP](docs/PodIP.md)
 - [PodOS](docs/PodOS.md)
 - [PodReadinessGate](docs/PodReadinessGate.md)
 - [PodReplicationDetails](docs/PodReplicationDetails.md)
 - [PodResource](docs/PodResource.md)
 - [PodResourceClaim](docs/PodResourceClaim.md)
 - [PodSchedulingGate](docs/PodSchedulingGate.md)
 - [PodSecurityContext](docs/PodSecurityContext.md)
 - [PodSpec](docs/PodSpec.md)
 - [PodStatus](docs/PodStatus.md)
 - [PodStatusDTO](docs/PodStatusDTO.md)
 - [PodsMetricSource](docs/PodsMetricSource.md)
 - [PodsMetricStatus](docs/PodsMetricStatus.md)
 - [PolicyTemplateDTO](docs/PolicyTemplateDTO.md)
 - [Port](docs/Port.md)
 - [PortInfo](docs/PortInfo.md)
 - [PortworxVolumeSource](docs/PortworxVolumeSource.md)
 - [PreferredSchedulingTerm](docs/PreferredSchedulingTerm.md)
 - [Probe](docs/Probe.md)
 - [ProjectTypeMappedResource](docs/ProjectTypeMappedResource.md)
 - [ProjectTypeRequest](docs/ProjectTypeRequest.md)
 - [ProjectTypeResponse](docs/ProjectTypeResponse.md)
 - [ProjectedVolumeSource](docs/ProjectedVolumeSource.md)
 - [PromotionWorkflow](docs/PromotionWorkflow.md)
 - [ProvidedAuthenticatedResource](docs/ProvidedAuthenticatedResource.md)
 - [ProvidedCloudResource](docs/ProvidedCloudResource.md)
 - [ProvidedResources](docs/ProvidedResources.md)
 - [ProvidedShardedService](docs/ProvidedShardedService.md)
 - [ProvidedUnauthenticatedResource](docs/ProvidedUnauthenticatedResource.md)
 - [PullRequestResponse](docs/PullRequestResponse.md)
 - [PushCredentialsRequest](docs/PushCredentialsRequest.md)
 - [PushCredentialsResponse](docs/PushCredentialsResponse.md)
 - [QASuite](docs/QASuite.md)
 - [QASuiteResult](docs/QASuiteResult.md)
 - [QualityGate](docs/QualityGate.md)
 - [Quantity](docs/Quantity.md)
 - [QueuedRelease](docs/QueuedRelease.md)
 - [QuobyteVolumeSource](docs/QuobyteVolumeSource.md)
 - [RBACEntity](docs/RBACEntity.md)
 - [RBDVolumeSource](docs/RBDVolumeSource.md)
 - [RawError](docs/RawError.md)
 - [RefExpression](docs/RefExpression.md)
 - [RegionAndZone](docs/RegionAndZone.md)
 - [Registry](docs/Registry.md)
 - [ReleaseButtonStatus](docs/ReleaseButtonStatus.md)
 - [ReleaseChanges](docs/ReleaseChanges.md)
 - [ReleaseDetails](docs/ReleaseDetails.md)
 - [ReleasePreviewResponse](docs/ReleasePreviewResponse.md)
 - [ReleaseStream](docs/ReleaseStream.md)
 - [ReleaseStreamRequest](docs/ReleaseStreamRequest.md)
 - [ReleaseStreamResponse](docs/ReleaseStreamResponse.md)
 - [ReplicaStatus](docs/ReplicaStatus.md)
 - [ReplicasetDTO](docs/ReplicasetDTO.md)
 - [Repository](docs/Repository.md)
 - [ResetPasswordRequest](docs/ResetPasswordRequest.md)
 - [Resource](docs/Resource.md)
 - [ResourceAffectedResponse](docs/ResourceAffectedResponse.md)
 - [ResourceChange](docs/ResourceChange.md)
 - [ResourceClaim](docs/ResourceClaim.md)
 - [ResourceDetails](docs/ResourceDetails.md)
 - [ResourceEnableDisableRequest](docs/ResourceEnableDisableRequest.md)
 - [ResourceFieldSelector](docs/ResourceFieldSelector.md)
 - [ResourceFileRequest](docs/ResourceFileRequest.md)
 - [ResourceGroup](docs/ResourceGroup.md)
 - [ResourceGroupRequest](docs/ResourceGroupRequest.md)
 - [ResourceHistory](docs/ResourceHistory.md)
 - [ResourceHistoryOverview](docs/ResourceHistoryOverview.md)
 - [ResourceInfo](docs/ResourceInfo.md)
 - [ResourceList](docs/ResourceList.md)
 - [ResourceMetadata](docs/ResourceMetadata.md)
 - [ResourceMetricSource](docs/ResourceMetricSource.md)
 - [ResourceMetricStatus](docs/ResourceMetricStatus.md)
 - [ResourceOutProperties](docs/ResourceOutProperties.md)
 - [ResourceReleaseImpact](docs/ResourceReleaseImpact.md)
 - [ResourceRenameRequest](docs/ResourceRenameRequest.md)
 - [ResourceRequirements](docs/ResourceRequirements.md)
 - [ResourceStatus](docs/ResourceStatus.md)
 - [ResourceStatusMetadata](docs/ResourceStatusMetadata.md)
 - [ResourceStatusResponse](docs/ResourceStatusResponse.md)
 - [ResourceSyncRequest](docs/ResourceSyncRequest.md)
 - [Response](docs/Response.md)
 - [Result](docs/Result.md)
 - [Role](docs/Role.md)
 - [RoleInfo](docs/RoleInfo.md)
 - [RoleMapping](docs/RoleMapping.md)
 - [S3DumpAwsConfig](docs/S3DumpAwsConfig.md)
 - [SELinuxOptions](docs/SELinuxOptions.md)
 - [SSLConfigs](docs/SSLConfigs.md)
 - [SaasArtifactRequest](docs/SaasArtifactRequest.md)
 - [SaveAsTemplateRequest](docs/SaveAsTemplateRequest.md)
 - [SavePasswordResetPasswordRequest](docs/SavePasswordResetPasswordRequest.md)
 - [SaveProvidedResourcesRequest](docs/SaveProvidedResourcesRequest.md)
 - [ScaleIOVolumeSource](docs/ScaleIOVolumeSource.md)
 - [ScheduleRequest](docs/ScheduleRequest.md)
 - [SeccompProfile](docs/SeccompProfile.md)
 - [SecretDTO](docs/SecretDTO.md)
 - [SecretEnvSource](docs/SecretEnvSource.md)
 - [SecretKeySelector](docs/SecretKeySelector.md)
 - [SecretProjection](docs/SecretProjection.md)
 - [SecretVolumeSource](docs/SecretVolumeSource.md)
 - [SecretsContextDTO](docs/SecretsContextDTO.md)
 - [SecurityContext](docs/SecurityContext.md)
 - [SecurityReportSummary](docs/SecurityReportSummary.md)
 - [Selectors](docs/Selectors.md)
 - [ServiceAccountTokenProjection](docs/ServiceAccountTokenProjection.md)
 - [ServiceBackendPort](docs/ServiceBackendPort.md)
 - [ServiceCost](docs/ServiceCost.md)
 - [ServiceCostDTO](docs/ServiceCostDTO.md)
 - [ServiceDTO](docs/ServiceDTO.md)
 - [ServiceOverview](docs/ServiceOverview.md)
 - [ServicePortDTO](docs/ServicePortDTO.md)
 - [Setting](docs/Setting.md)
 - [SilenceAlarmRequest](docs/SilenceAlarmRequest.md)
 - [SimpleOauth2User](docs/SimpleOauth2User.md)
 - [SnapshotInfo](docs/SnapshotInfo.md)
 - [Sock5OkHttpClientFactory](docs/Sock5OkHttpClientFactory.md)
 - [SoftDelete](docs/SoftDelete.md)
 - [Sort](docs/Sort.md)
 - [Stack](docs/Stack.md)
 - [StackGitLog](docs/StackGitLog.md)
 - [StackResource](docs/StackResource.md)
 - [StackTemplate](docs/StackTemplate.md)
 - [StackTemplateInput](docs/StackTemplateInput.md)
 - [StatefulSetDTO](docs/StatefulSetDTO.md)
 - [StorageOSVolumeSource](docs/StorageOSVolumeSource.md)
 - [StreamingResponseBody](docs/StreamingResponseBody.md)
 - [Subscription](docs/Subscription.md)
 - [Substack](docs/Substack.md)
 - [SubstackRequest](docs/SubstackRequest.md)
 - [SupportedVersions](docs/SupportedVersions.md)
 - [Sysctl](docs/Sysctl.md)
 - [TCPSocketAction](docs/TCPSocketAction.md)
 - [TFModule](docs/TFModule.md)
 - [TFModuleListResponseDTO](docs/TFModuleListResponseDTO.md)
 - [TFModuleLiteDTO](docs/TFModuleLiteDTO.md)
 - [TFModuleLiteListDTO](docs/TFModuleLiteListDTO.md)
 - [TFModulePath](docs/TFModulePath.md)
 - [TFModuleResponseDTO](docs/TFModuleResponseDTO.md)
 - [TFOutputRequestDTO](docs/TFOutputRequestDTO.md)
 - [TFOutputResponseDTO](docs/TFOutputResponseDTO.md)
 - [TFProvider](docs/TFProvider.md)
 - [TFRunConfigurations](docs/TFRunConfigurations.md)
 - [TagDataModel](docs/TagDataModel.md)
 - [TargetResource](docs/TargetResource.md)
 - [Team](docs/Team.md)
 - [TeamMembership](docs/TeamMembership.md)
 - [TeamResource](docs/TeamResource.md)
 - [TemplateGitDetails](docs/TemplateGitDetails.md)
 - [TemplateResponseDTO](docs/TemplateResponseDTO.md)
 - [TerraformChange](docs/TerraformChange.md)
 - [TestBuildDetails](docs/TestBuildDetails.md)
 - [TestNotificationRequest](docs/TestNotificationRequest.md)
 - [TestRuleResponse](docs/TestRuleResponse.md)
 - [TfVersion](docs/TfVersion.md)
 - [ThemeFileResponse](docs/ThemeFileResponse.md)
 - [TimeZone](docs/TimeZone.md)
 - [ToggleRelease](docs/ToggleRelease.md)
 - [TokenPaginatedResponse](docs/TokenPaginatedResponse.md)
 - [TokenPaginatedResponseLogEvent](docs/TokenPaginatedResponseLogEvent.md)
 - [TokenValidationRequest](docs/TokenValidationRequest.md)
 - [TokenValidity](docs/TokenValidity.md)
 - [Toleration](docs/Toleration.md)
 - [ToolsConfig](docs/ToolsConfig.md)
 - [TopologySpreadConstraint](docs/TopologySpreadConstraint.md)
 - [TypedLocalObjectReference](docs/TypedLocalObjectReference.md)
 - [TypedObjectReference](docs/TypedObjectReference.md)
 - [URI](docs/URI.md)
 - [URL](docs/URL.md)
 - [User](docs/User.md)
 - [UserAccessToken](docs/UserAccessToken.md)
 - [UserGroup](docs/UserGroup.md)
 - [UserVCSTokenRequest](docs/UserVCSTokenRequest.md)
 - [UserVCSTokenResponse](docs/UserVCSTokenResponse.md)
 - [Utilization](docs/Utilization.md)
 - [VCSAccountUpdateRequest](docs/VCSAccountUpdateRequest.md)
 - [VCSLinkingRequest](docs/VCSLinkingRequest.md)
 - [VCSLinkingResponse](docs/VCSLinkingResponse.md)
 - [VCSOrganizationsRequest](docs/VCSOrganizationsRequest.md)
 - [VCSTokenDetailsResponse](docs/VCSTokenDetailsResponse.md)
 - [ValidationError](docs/ValidationError.md)
 - [ValidationResponse](docs/ValidationResponse.md)
 - [ValidationResult](docs/ValidationResult.md)
 - [VariableCountDto](docs/VariableCountDto.md)
 - [VariableDetails](docs/VariableDetails.md)
 - [Variables](docs/Variables.md)
 - [Version](docs/Version.md)
 - [Versioned](docs/Versioned.md)
 - [Volume](docs/Volume.md)
 - [VolumeDevice](docs/VolumeDevice.md)
 - [VolumeMount](docs/VolumeMount.md)
 - [VolumeProjection](docs/VolumeProjection.md)
 - [VsphereVirtualDiskVolumeSource](docs/VsphereVirtualDiskVolumeSource.md)
 - [WebComponentDTO](docs/WebComponentDTO.md)
 - [WeightedPodAffinityTerm](docs/WeightedPodAffinityTerm.md)
 - [WindowsSecurityContextOptions](docs/WindowsSecurityContextOptions.md)
 - [Workflow](docs/Workflow.md)
 - [WorkflowHierarchy](docs/WorkflowHierarchy.md)
 - [WorkflowRun](docs/WorkflowRun.md)

## Documentation For Authorization


## main

- **Type**: HTTP basic authentication


## Author


